﻿default past_case_successes = 0
default colette_subway_complete = False
default colette_alleyway_complete = False
default colette_nico_successes = 0
default colette_nicos_complete = False
default colette_titos_complete = False
default colette_nico_clue_found = False
default colette_tito_clue_found = False
default colette_witness_description_found = False
default colette_cigarette_clue_found = False
default colette_rope_binocular_clue_found = False
default colette_evidence_successes = 0
default previous_per_outfit = {}
default previous_display = {}
default colette_as_you_wish_count = 0

#C1
label colette_start:
    $ past_case_successes = 0
    $ colette_subway_complete = False
    $ colette_alleyway_complete = False
    $ colette_nico_successes = 0
    $ colette_nicos_complete = False
    $ colette_titos_complete = False
    $ colette_nico_clue_found = False
    $ colette_tito_clue_found = False
    $ colette_witness_description_found = False
    $ colette_cigarette_clue_found = False
    $ colette_rope_binocular_clue_found = False
    $ colette_evidence_successes = 0
    $ previous_display = copy.deepcopy(outfit_piece_display)
    $ previous_per_outfit = copy.deepcopy(persistent.malcolm_current_outfit)
    $ outfit_change_available = False
    $ persistent.outfit_available = False
    $ colette_as_you_wish_count = 0

    show half precinct gils office with moveinright
    show gil at right with dissolve
    show sunshine neutral
    gil "I need you to come in. We have a case."
    show malcolm cocky
    malcolm "A case?"

    gil "Get to the precinct pronto, kid. There's a fresh body in the morgue and you've got an old friend in town."
    show malcolm neutral
    malcolm "Be right there."
    hide gil with dissolve
    hide half precinct gils office with moveoutright

    show malcolm crossed thinking at left
    malcolm "An old friend? (quietly) I don't have many of those."
    show sunshine confused
    queue sound "audio/parakeet_chirp.mp3"
    sunshine "(chirp)"
    show malcolm raised happy at left
    malcolm "Don't worry, Sunshine, you're my BFF."
    show sunshine happy
    hide malcolm with dissolve

    menu:
        malcolm "What suit should we wear to the precinct today?"

        "Blue suit riot":
            $ persistent.malcolm_current_outfit = copy.deepcopy(color_presets[0])
            $ set_preset_ingame(0)
            $ renpy.block_rollback()
        "A little alone time":
            $ persistent.malcolm_current_outfit = copy.deepcopy(color_presets[1])
            $ set_preset_ingame(1)
            $ renpy.block_rollback()
        "Florida":
            $ persistent.malcolm_current_outfit = copy.deepcopy(color_presets[2])
            $ set_preset_ingame(2)
            $ renpy.block_rollback()

    show malcolm pockets happy at left with dissolve
    malcolm "Have a good day, Sunshine!"

    scene bg precinct bullpen with fade
    queue sound "audio/background_conversation.mp3"
    "(background conversation)"
    "A palpable tension in the air greets Malcolm in the bullpen."

    show malcolm crossed sideye at center with dissolve
    malcolm "What's going on?"
    show malcolm pockets confused at left with moveinright
    show jt crossed angry with moveinright:
        xalign .75
    jt "That woman's back."
    malcolm "What woman?"
    show dani waist thinking at right with dissolve
    dani "Special Agent Swanson."
    malcolm @ crossed worried "Swanson? Oh no. We ended on better terms after the Watkins case, but she {i}still{/i} hates me."

    jt @ worried "Good luck, Bright."
    hide jt with dissolve
    show malcolm pockets confused with moveinleft:
        xalign .25
    show gil thinking at left behind malcolm with moveinleft:
        xzoom -1
    gil "C'mon, let's go say hello and make nice."
    hide gil with dissolve
    hide dani with dissolve
    malcolm @ worried "(sigh) Here goes nothing."

    scene bg precinct conference room fbi with fade

    "As she did on the Junkyard Killer case, Special Agent Swanson has commandeered the conference room."

    show colette worried at right with dissolve
    show malcolm crossed sideye with dissolve:
        xalign .25
    show gil neutral at left behind malcolm with dissolve:
        xzoom -1
    colette "You promised me the help of your top detective, Lieutenant Arroyo."
    show gil thinking at left behind malcolm with moveinleft:
        xzoom -1
    gil "This is the man I can spare, take 'em or leave 'em."

    menu:
        colette "..."

        "We haven’t always seen eye to eye.":
            $ renpy.block_rollback()
            show malcolm raised neutral
            malcolm "I know we haven't always seen eye to eye."
            colette "That's an understatement."
            malcolm @ raised cocky "Can I help?"
            show colette neutral at right
            colette "Maybe. Do you remember the Sanctuary Killer?"
            malcolm @ raised thinking "That was the string of bodies recovered up in Nahant. Agent Helm's case."
            colette "(nods) Now take a look at the autopsy report of the body that just showed up in your morgue."
        "Is that the autopsy report?":
            $ past_case_successes += 1
            $ renpy.block_rollback()
            show malcolm raised neutral
            malcolm "Is that the autopsy report?"
            colette "Your ME just sent it up. Look familiar?"
            malcolm @ raised thinking """Hmm... Cigarette burns in a ring, strangulation, ligature marks, and signs of confinement.

            Reminds me of the Sanctuary Killer."""
            colette @ happy "Good memory, Bright."
            malcolm "(quietly) Occasionally."

    menu:
        "Is this a tattoo?":
            $ past_case_successes += 1
            $ renpy.block_rollback()
            malcolm "Is this a Red Sox tattoo?"
            gil "Looks like they lost ano—"
            malcolm "Gil!"
            gil @ blushing "(ahem)"
            gil "Yes, that is a Sox tattoo."
            show malcolm raised sideye
            malcolm "You think he knew the victim, Agent Swanson?"
            jump colette_not_evolving
        "You think he’s relocated?":
            $ past_case_successes += 1
            $ renpy.block_rollback()
            malcolm "You think the Sanctuary Killer has relocated to New York?"
            show colette neutral at right
            colette "It's possible. It's also possible his motive for killing Mr. Timms was different."
            malcolm "Hmm... Same socioeconomic class by the looks of it, but the other victims were all athletic men in their early thirties."
            jump colette_not_evolving
        "If they’d listened to me the first time…":
            $ renpy.block_rollback()
            show malcolm raised angry
            malcolm "If they'd listened to me the first time, we could've caught him years ago. He was clearly—"
            show colette angry at right
            colette "I didn't come here to waste time with could haves and should haves."
            if past_case_successes >= 1:
                jump colette_here_to_catch_this_guy
            else:
                jump colette_bring_dani

#C2
label colette_not_evolving:
    show malcolm raised confused
    colette "If he's not evolving, his motive may have been concealment of his past crimes. Vic Timms being from the Sanctuary Killer's old haunt is worth looking into."

    menu:
        "Let's go on more than a hunch.":
            $ renpy.block_rollback()
            show malcolm raised sideye
            malcolm "Maybe we go for more than a hunch and make a new profile. I know just the guy who can help you."
            colette "Yep, still just as arrogant."
            show malcolm neutral
            jump colette_right_person_for_the_job
        "Really, we're going with same home base?":
            $ renpy.block_rollback()
            malcolm "Boston is really the best thing you have to go on? Would you like to interview anyone in the city who's been there lately, 'cause that'll be about—"
            colette "Enough!"
            jump colette_bring_dani

#C3
label colette_here_to_catch_this_guy:
    malcolm @ raised smirk "Of course not. You came here to catch this guy."
    show malcolm neutral
    show colette neutral at right
    colette "That's right. Your original profile is five years old and he's in an entirely new hunting ground."

    menu:
        "Do you have a new profile?":
            $ renpy.block_rollback()
            malcolm "Did your team create a new profile?"
            colette @ thinking "Yes, but it could use some refinement."
            jump colette_right_person_for_the_job
        "A leopard doesn't change its spots.":
            $ renpy.block_rollback()
            malcolm "A leopard doesn't change its spots."
            show colette angry at right
            colette "That's rich coming from the Surgeon's son."
            jump colette_bring_dani

#C4
label colette_bring_dani:
       colette "Lieutenant, bring me Detective Powell."
       show malcolm worried
       malcolm "Wait, I—"
       show gil confused
       gil "(sigh) Don't argue with the woman. You had your shot."
       jump colette_do_not_pass_go_ending

#C5
label colette_right_person_for_the_job:
    malcolm "You know I'm the right person for the job. Where do we need to go?"
    colette "Back to the scene at the subway platform. We can go in through the front or the access tunnel—"
    malcolm "Say no more—"
    colette "This isn't a team decision. I lead, you follow. We're going in through the front."

    menu:
        "Argue with Colette":
            $ renpy.block_rollback()
            malcolm "We should go in through the access tunnel. It's the smarter move."
            colette @ angry "Are you always going to say the opposite of what I say?"
            malcolm @ smirk "As long as you're wrong.  If the body was dumped in the location, entering through the tunnel is more likely to have us following in the killer's footsteps."
            colette "You're incorrigible. We don't even know that the body was dumped."
            malcolm "But if it was, starting in the alleyway is the way to go."
            jump colette_argue_alleyway
        "Agree with Colette":
            $ renpy.block_rollback()
            show malcolm confused
            malcolm "In through the front. You're right."
            $ colette_as_you_wish_count += 1
            colette "You don't need to be so sad about it."
            show malcolm smirk
            malcolm "You don't need to tell me how to feel."
            colette "Let's... keep it professional for the case, alright?"
            show malcolm neutral
            malcolm "That's what this is, isn't it? (rolls eyes) Okay, I'll tone it down."
            jump colette_agree_platform

#C6
label colette_agree_platform:
    scene bg subway platform with fade
    show ainsley at center with dissolve
    ainsley """Coming to you live from the subway platform where a body was discovered this morning. Police presence has been increased.

    With the arrival of the FBI, it seems there may be a witness to what people are saying is the latest work of the Sanctuary Killer, a notorious serial murderer last active in the Boston area."""
    hide ainsley with dissolve

    show colette with dissolve:
        xzoom -1
        xalign .25
    show malcolm at left behind colette with dissolve
    queue sound "audio/subway_stop.mp3"
    "(subway train sounds)"
    colette "This station was supposed to be put out of service. Uniforms couldn't keep people off the platform?"
    malcolm "Do you have any idea how many people come through here in a day? Maybe it's to our advantage. Excuse me, sir?"
    show max at right with dissolve
    max "Name's Max, not sir, and I'm not here to be hassled."
    malcolm """And we're not here to hassle you. A body was found in this station last night. That's what all the police tape is for.

    We don't think you're involved, but we'd like to ask you a few questions. Were you here last night?"""
    max @ worried "Maybe. Who are you?"
    colette "Special Agent Swanson, FBI. This is Malcolm Bright, a consultant for the NYPD."

    menu:
        max "What do you want?"

        "Did you see anyone?":
            $ renpy.block_rollback()
            malcolm "If you're a regular here and you were around last night, did you see anything suspicious?"
            max "Depends on your definition of suspicious. I see all kinds of things out here late at night."
            colette "Can you elaborate? What kinds of things?"
        "Nothing, sorry to bother you.":
            $ renpy.block_rollback()
            malcolm "Nothing, sorry to bother you."
            max @ worried "Why did you talk to me, then?"
            colette @ confused "Yeah, Bright, why the 180? Do you want his help or not?"
            malcolm @ blushing "I thought you might be able to help with our investigation, but..."
            colette "You picked a funny time to start second-guessing yourself. Max, did you see anything suspicious the night before?"
        "Can we get you a coffee?":
            $ renpy.block_rollback()
            malcolm "Can we get you a coffee or something?"
            max "I'm good. Guy at the sandwich shop gives me the hookup."
            colette @ confused "C'mon, Bright. Get to the point."
            malcolm "If you were here last night, did you see anything suspicious?"

    menu:
        max "FBI... NYPD... (grumbling) Why do you need me to do your job?"

        "Your perspective is important.":
            $ renpy.block_rollback()
            malcolm "Neither of us was here when the crime likely happened, and if you were, your perspective is important."
            max "The tunnels down here go everywhere. I see all kinds of things coming and going. Drugs, paintings, people…"
            colette "People?"
            malcolm "Did you see any people last night?"
        "We'll leave you alone.":
            $ renpy.block_rollback()
            malcolm "Max, I'm sorry, we're intruding. We had questions because eyewitness accounts and first-hand information are important, but we'll leave you alone."
            colette @ angry "..."
            max "Nah, it's okay. I'll answer your questions."
            malcolm "Thank you."
            colette "Your perspective is important."
            max @ worried "Sure, lady. Doubt you or Mr. Fifth Avenue here would say that if you didn't need something."
        "You don't trust law enforcement, do you?":
            $ renpy.block_rollback()
            malcolm "You don't trust law enforcement, do you?"
            max @ worried "Why should I? Can't hardly sit in this city without getting hassled."
            malcolm @ worried "We didn't mean to intrude. I'm sorry."
            max "But you did."
            colette "Yes, and we apologize. But you might have been the only witness to what happened here last night."

    menu:
        max "I see everything, you know. But people forget…"

        "Maybe a hundred dollars will help you remember…":
            $ renpy.block_rollback()
            malcolm "Maybe a hundred dollars will help you remember."
            max "Maybe."
            malcolm "(gives the man cash)"
            max """You just bought me a place to sleep, but you didn't buy my cooperation.

            I don't think I can help you. Could you leave me be?"""
            call double_sads_colette from _call_double_sads_colette
            colette "If you change your mind, here's my card."
            malcolm "Thanks for your time."
        "What do people forget?":
            $ renpy.block_rollback()
            malcolm "What do people forget, Max?"
            max """I might be homeless, but I'm still a person. People forget that.

            Middle of the night and I was on my way out 'cause I planned to spend the night elsewhere. Some guy comes up through the tunnels carrying what I thought was a rug…

            ...but it could've been a body. The older I get, the worse my eyes get."""
            malcolm "As best you can, could you describe him?"
            max "White guy. Taller than you. Six feet maybe."
            malcolm "What was he wearing?"
            max "Nothing as fancy as your getup. A hoodie maybe?"
            colette "If we had a photo, could you identify him?"
            max "Maybe. He left the way he came though, back down the tunnels."
            call double_hearts_colette from _call_double_hearts_colette
            colette "Does every serial killer in New York City have a private entrance to the subway?"
            malcolm "(eyeroll)"
            $ colette_witness_description_found = True
            $ colette_evidence_successes += 1

    menu (shuffle=False):
        "Ask Max to keep an eye out for any unusual activity?"

        "Yes":
            $ renpy.block_rollback()
            malcolm "If you happen to see anything else unusual, could you give us a call?"
            call suspicion from _call_suspicion
            $ renpy.block_rollback()
        "No":
            $ renpy.block_rollback()
            malcolm "Thank you for your help. Sorry for the trouble."

    max "Not a problem."
    hide max with dissolve

    $ colette_subway_complete = True
    if colette_alleyway_complete == False:
        jump colette_follow_tracks
    else:
        jump colette_expand_search_post_tunnel

#C7
label colette_follow_tracks:
    show malcolm neutral at left
    malcolm "Shall we head up the tracks? See if we can figure out where the nearest maintenance tunnel is?"
    colette "We should really get backup before exploring. Especially if we have a killer on the loose."
    malcolm "He would have no reason to stick around here, and I'm your backup."
    colette @ thinking "... Okay, let's go."

    show overlay behind colette, malcolm

    malcolm "The lock on this maintenance door is busted, the exit to this tunnel can't be more than a few blocks away from the station aboveground."
    colette "By my estimate we're coming up on the alley where the disturbance was reported."
    malcolm "Points to a connection. Amazing how many secrets survive underground."
    colette "You mean like your dad's murder basement?"
    malcolm @ smirk "Exactly like my dad's murder basement. Tunnels are handy for disposal."
    colette "It's darker than I expected."
    malcolm "We could've used a proper flashlight."
    colette "Too late for that, my pen light is all we've got."
    malcolm "Imagine carrying or dragging a body down here. Unless our killer was wearing a headlamp, this is probably similar to what he saw."
    colette "No drag marks reported, so if he did come this way, the victim was either carried—which means our guy is strong and physically fit—or our victim was still alive."
    jump colette_argue_alleyway

#C8
label colette_expand_search_post_tunnel:
    malcolm "We should expand our search to the few businesses in the surrounding area."
    colette "Yeah, let's get a move on."
    jump colette_martin_calls

#C9
label colette_argue_alleyway:
    scene bg alleyway with fade
    show ainsley at center with dissolve
    ainsley "We're at the scene of where a passerby called in a disturbance late last night. Police and the FBI have been investigating in the area."
    ainsley @ worried "While we can't say for certain a murder took place here, sources say we may be looking at the reemergence of the Sanctuary Killer."
    hide ainsley with dissolve

    show colette at right with dissolve
    show malcolm at left with dissolve
    colette "My team has already been through here. I don't know what you think you're going to find."
    malcolm "A second—or third—set of eyes never hurts. I might surprise you."
    colette "Doubtful."

    jump colette_clues_game_alleyway

#C10
label colette_clues_game_alleyway:
    hide malcolm with dissolve
    hide colette with dissolve
    $ renpy.block_rollback()
    $ renpy.choice_for_skipping()
    window hide
    $ InitCaseboardGame("bg alleyway", 0.0, (201, 748), "cigarette", "There are cigarette butts back here, and Edrisa found cigarette burns on the victim.", (598, 529), "utilities", "The meter's running. Better go catch it.", (671, 624), "garbage", "(thinking) No time for dumpster diving. Nothing seems particularly interesting.", (1186, 583), "bin", "(thinking) I might fit... but no tight spaces, thank you.")
    $ StartCaseboardGame()
    $ renpy.block_rollback()
    jump colette_alleyway_questions

#C11
label colette_alleyway_questions:
    $ renpy.block_rollback()
    show malcolm raised thinking at left
    show colette neutral at right
    menu:
        malcolm "There is..."

        "another victim in this alleyway":
            $ renpy.block_rollback()
            jump colette_clues_game_alleyway_failure
        "a cute dog in this alleyway":
            $ renpy.block_rollback()
            jump colette_clues_game_alleyway_failure
        "nothing in this alleyway":
            $ renpy.block_rollback()
            jump colette_clues_game_alleyway_failure
        "potential evidence in this alleyway":
            $ renpy.block_rollback()
            jump colette_alleyway_questions_second

#C12
label colette_alleyway_questions_second:
    $ renpy.block_rollback()
    menu:
        malcolm "No one thought to bag..."

        "the Twizzlers":
            $ renpy.block_rollback()
            jump colette_clues_game_alleyway_failure
        "the cigarette butts":
            $ renpy.block_rollback()
            jump colette_clues_game_alleyway_success
        "the collar":
            $ renpy.block_rollback()
            jump colette_clues_game_alleyway_failure
        "the rope":
            $ renpy.block_rollback()
            jump colette_clues_game_alleyway_failure

#C13
label colette_clues_game_alleyway_failure:
    $ renpy.block_rollback()
    show malcolm worried
    call double_sads_colette from _call_double_sads_colette_1
    colette "Seems like your detective skills could use a little work."
    show malcolm pockets neutral
    jump colette_jessica_calls

#C14
label colette_clues_game_alleyway_success:
    $ renpy.block_rollback()
    $ won_minigame()
    malcolm "Cigarette burns on the body and no one thought to bag this? This could be significant and it's not here in the report."
    call double_hearts_colette from _call_double_hearts_colette_1
    colette "Good eyes, Bright."
    show malcolm cocky
    malcolm "They are my most-remarked upon attribute."
    show malcolm pockets neutral

    $ colette_cigarette_clue_found = True
    $ colette_evidence_successes += 1
    $ renpy.block_rollback()

    jump colette_jessica_calls

#C15
label colette_jessica_calls:
    queue sound "audio/phone_call_inbound.mp3"
    "(phone rings)"
    show colette confused
    colette "Not this again."
    malcolm "Hello?"
    show half street view c with moveinright
    show jessica confused at right with dissolve
    jessica "My daughter's all over the news and my son won't pick up his phone."
    show malcolm smirk
    malcolm "Mother, I just did."
    jessica "Another day another murder, is it? Only this one's blocked my route around the park."
    malcolm "I'm working on it."
    show jessica neutral
    jessica "You, too? But that's great news for once. If you're nearby we can do lunch. Leonard never showed up. I’m going to fire that young man!"
    show malcolm confused
    malcolm "No thank you, Mother. Gotta go. Talk later. Good luck tracking down your assistant!"
    colette "(makes hanging up gestures)"
    queue sound "audio/phone_hang_up.mp3"
    "(hang up)"
    hide jessica with dissolve
    hide half street view c with moveoutright
    show malcolm neutral
    malcolm "Families, huh?"
    colette "I think yours is a little extra. Want to keep going to take your mind off of things?"
    malcolm "Lead the way."

    if colette_subway_complete == False:
        jump colette_access_tunnel_door
    else:
        jump colette_expand_search_post_alley

#C16
label colette_access_tunnel_door:
    colette "This must be the door to the access tunnel."
    malcolm "It's pretty shielded from view. It would be easy to get a body here."
    colette "(opens door)"
    queue sound "audio/rusty_gate.mp3"
    "(rusty door squeaking)"
    colette "Shall we?"
    malcolm "A dark tunnel leading into shadow? This is about the point Gil would tell me to call for backup."

    menu:
        "Call for backup":
            $ colette_as_you_wish_count += 1
            $ renpy.block_rollback()
            malcolm "Don't you think we should call for backup?"
            colette "And miss the chance to see where this goes? I don't think so. Let's go."
            malcolm "(thinking) Occasionally we're somewhat alike…"
        "Enter the tunnel":
            $ renpy.block_rollback()
            colette "Hold up! You're not the one with a firearm."
            malcolm "Force of habit."
            colette "Stay behind me, Bright"
            malcolm "Let's go."
            colette "You just told me to lead the way two seconds ago."
            malcolm "I forgot."
            colette "Of course you did."

    show overlay behind colette, malcolm

    colette "It's darker than I expected in this tunnel."
    malcolm "We could've used a proper flashlight."
    colette "You want to go back and get one?"
    malcolm "Not really."
    colette "Me either. We might want to ask the detectives to do a second pass, see if they missed anything else like the cigarettes."
    malcolm "Good idea. Imagine carrying or dragging a body down here. Unless our killer was wearing a headlamp, this is probably similar to what he saw."
    colette "No drag marks reported, so if he did come this way, the victim was either carried—which means our guy is strong and physically fit—or our victim was still alive."
    $ colette_alleyway_complete = True
    jump colette_agree_platform

#C17
label colette_expand_search_post_alley:
    malcolm "This expands our search to the few businesses in the surrounding area."
    colette "Yeah, let's get a move on."
    jump colette_martin_calls

#C18
label colette_martin_calls:
    queue sound "audio/phone_call_inbound.mp3"
    "(phone rings)"
    malcolm "Hello?"
    show half claremont martins cell with moveinright
    show martin happy at right with dissolve
    martin "My boy! It's your father. I hear you have a {i}murder{i}."
    show malcolm worried
    malcolm "Dr. Whitly, I—"
    colette @ confused "You are not getting him involved in my case."
    show malcolm smirk
    malcolm "{i}Our{/i} case."
    show martin neutral
    martin "Malcolm? Is that a new lady friend?"
    show malcolm confused
    malcolm "An old colleague. What do you want?"
    martin """I saw the work of the Sanctuary Killer on the news. You weren't talking to me back when he was strangling all those young men up in Boston and dumping them in Nahant.

    I've given that case a lot of consideration over the years and thought you could use some advice."""
    show malcolm smirk
    malcolm "I'm working with Special Agent Swanson, one of the FBI's top profilers. I have all the advice I need."
    colette @ angry "How about not giving my name to a serial killer?"
    martin @ thinking "Assure your colleague there's no need to fret. I already knew it was a reunion tour. (louder) Hello, Colette!"
    malcolm "How did you—"
    martin "Your sister's reporting is very thorough. She's a real go-getter!"

    menu:
        martin "Tell me you have something better than stomach contents and a potential witness to go off of."

        "We can't bring Martin into this.":
            $ renpy.block_rollback()
            malcolm "You know about the stomach contents? Never mind, I'm not talking about the case with you."
            martin "Too bad your medical examiner wasn't on the same page."
            malcolm "(sigh) Edrisa… At least that didn't get leaked to the press."
            colette "I don't like this, but just put him on speaker."
            show malcolm neutral
            show colette with moveinright:
                xalign .25
                xzoom -1
            show malcolm behind colette
        "He knows a lot already.":
            $ renpy.block_rollback()
            show malcolm neutral
            malcolm "(muting the call) He knows a lot already, let's run with it."
            colette "I don't like this…"
            malcolm "I'll put him on speaker."
            show colette with moveinright:
                xalign .25
                xzoom -1
            show malcolm behind colette
        "Ask Colette what to do.":
            $ colette_as_you_wish_count += 1
            $ renpy.block_rollback()
            show malcolm neutral
            malcolm "(muting the call) He knows a lot already, should we run with it?"
            show colette with moveinright:
                xalign .25
                xzoom -1
            show malcolm behind colette
            colette "I don't like it, but…"
            malcolm "I'll put him on speaker."
            call single_hearts_colette from _call_single_hearts_colette

    menu:
        martin "Did you get a look at the bruising at the throat?"

        "There's an unusual pattern.":
            $ renpy.block_rollback()
            malcolm "There's an unusual pattern to the bruising. He's deviated from manual strangulation."
            colette "We can't say he's deviated when only the last of the Sanctuary Killer's victims had bruises at the neck consistent with a hand print."
            malcolm "The reports said the previous victims—"
            colette "Forget the reports. The case went under review since you were privy to the details. Ligature marks were present in four of the five, although it's still unclear whether or not COD was ligature or manual strangulation."
            martin "This changes things, doesn't it, my boy."
            malcolm "It does. Ligature strangulation, could speak to someone with a predatory mindset."
            martin "... and?"
            malcolm "And a need to exert control over the victim, which falls in line with his keeping them confined."
        "He used rope.":
            $ renpy.block_rollback()
            malcolm "Based on the pattern at our victim's throat, the killer used rope."
            martin "Are you sure about that?"
            malcolm "The bruising encircled his neck, it wasn't manual strangulation."
            colette "Which means he's back to his old tricks."
            malcolm "The reports said the previous victims—"
            colette "Forget the reports. The case went under review since you were privy to the details. Ligature marks were present in four of the five, although it's still unclear whether or not COD was ligature or manual strangulation."
            martin "Rope would've left a more consistent signature, don't you think?"
            malcolm "Maybe... Either way if manual strangulation wasn't his standard MO we're looking for someone who likes to exert control over their victim."
            martin "Fitting for someone who likes to keep his victims confined before killing them."
            colette "(shudder)"
        "The bruising isn't significant.":
            $ renpy.block_rollback()
            malcolm "The bruising itself isn't significant, what matters is that he's deviated from his previous victims."
            colette "Actually, he's reverted."
            malcolm "What do you mean?"
            colette "Forget the reports. The case went under review since you were privy to the details. Ligature marks were present in four of the five, although it's still unclear whether or not COD was ligature or manual strangulation."
            martin "So he might not necessarily like to get hands on."
            malcolm @ thinking "... and he has a need to exert control over the victim."

    menu:
        martin "Tell me a little more. I can help!"

        "Reveal the victim's profession.":
            $ renpy.block_rollback()
            malcolm "(muting the call) What if we tell him what the victim did for a living?"
            colette @ thinking "I don't like it, Bright."
            malcolm "He's a resource who knows killers and knows this case."
            colette "Fine, but just the one detail, nothing else."
            malcolm "(unmuting the call) Here's one thing we know:"

            menu:
                malcolm "The victim was…"

                "A hedge fund manager":
                    $ renpy.block_rollback()
                    malcolm "The victim was a hedge fund manager from Boston."
                    martin "Interesting. Was he in town for business or pleasure?"
                    colette "Business."
                    malcolm "He missed all but one of the meetings he had on the calendar before he was reported missing."
                    martin "The Sanctuary Killer is a predatory psychopath. If this man didn't fit his type, it's likely they knew one another."
                    colette "We've already cleared all of his contacts in the area and everyone he was slated to meet with."
                    martin "Oh, but what about someone he never had any intention of meeting?"
                    malcolm "What do you mean?"
                    martin "It's a big city, but do you remember just how often you'd run into your classmates in the strangest of circumstances? Like that trip we took to a Niagara winery and somehow little Suzy from school was also there with her parents."
                    jump colette_martin_crossed_paths
                "Active on social media":
                    $ renpy.block_rollback()
                    malcolm "The victim was active on social media."
                    martin "Aren't we all. Well, not me of course. (whispers) Unless…"
                    malcolm "He maintained a very popular Instagram."
                    martin "Don't just say that without dropping the at."
                    colette "He was a hobbyist photographer, but he managed a hedge fund in Boston. He was in town for business."
                    martin "I expect you'll have already cleared all his contacts."
                    colette "Of course."
                    malcolm "What are you thinking?"
                    martin "It's a big city, but sometimes fate has you crossing paths with the most unlikely people."
                    jump colette_martin_crossed_paths
                "In town for business":
                    $ renpy.block_rollback()
                    malcolm "The victim was in town for business."
                    martin "Considered investing in your friend Vijay's place, rumor has it."
                    malcolm @ smirk "What?"
                    colette "Where did you hear that?"
                    martin "Ainsley's done more leg work than the two of you, it seems. As an investigative journalist she's already been doing quite a bit of digging."
                    malcolm "She wouldn't have put that on the air. Did she call you?"
                    jump colette_martin_hang_up
        "Share a theory about the attack.":
            $ renpy.block_rollback()
            malcolm "It's possible the victim was killed on the subway platform."
            martin "Led there or escaped there, do you think?"
            colette "Enough. Hang up the phone, Bright. Your father could very well be connected to the suspect."
            martin "Does she always jump to conclusions like this, Malcolm? For your information, Ms. Swanson, I had work duty last night."
            colette "Wasn't moving bodies through subway tunnels your MO?"
            martin "…"
            malcolm "Dr. Whitly?"
            martin "Not you, too, my boy. You're always so suspicious of your father without cause."
            malcolm @ angry "You killed twenty-three people!"
            martin "Give or take a few."
            malcolm "Good-bye, Dr. Whitly."
            jump colette_martin_wait
        "Don't tell Martin anything.":
            $ renpy.block_rollback()
            malcolm "This conversation is over, I'm not telling you anything more."
            martin "Please, son, we have so much more to discuss!"
            colette "Hang up the phone. Your father could very well be connected to the suspect."
            martin "Does she always jump to conclusions like this, Malcolm? For your information, Ms. Swanson, I had work duty last night."
            colette "Wasn't moving bodies through subway tunnels your MO?"
            martin "…"
            malcolm "Dr. Whitly?"
            martin "Not you, too, my boy. You're always so suspicious of your father without cause."
            malcolm @ angry "You killed twenty-three people!"
            martin "Give or take a few."
            malcolm "Good-bye, Dr. Whitly."
            jump colette_martin_wait

#C19
label colette_martin_crossed_paths:
    malcolm "You think he crossed paths with the Sanctuary Killer by accident?"
    martin "Deviating from your preferred victim type says to me, there was some reason the Sanctuary Killer wanted him dead."
    jump colette_martin_hang_up

#C20
label colette_martin_hang_up:
    colette "Bright, hang up the phone."
    martin "Now, now, we have so much more to discuss!"
    malcolm "I—"
    colette "Your father could very well be connected to the suspect."
    martin "Does she always jump to conclusions like this, Malcolm? For your information, Ms. Swanson, I had work duty last night."
    colette "Wasn't moving bodies through subway tunnels your MO?"
    martin "..."
    malcolm "Dr. Whitly?"
    martin "Not you, too, son. You're always so suspicious of your father without cause."
    malcolm @ angry "You killed twenty-three people!"
    martin "Give or take a few."
    malcolm "Good-bye, Dr. Whitly."
    jump colette_martin_wait

#C21
label colette_martin_wait:
    menu:
        martin "Wait!"

        "Hang up the phone.":
            $ renpy.block_rollback()
            malcolm "Good-bye."
            call single_hearts_colette from _call_single_hearts_colette_1
            martin "(hastily) Do you know what subway tunnels are good for besides carrying a body?"
            colette "Hold on. What's that, Dr. Whitly?"
            show martin angry
            martin "(smug) Let a person loose down in the dark and there's only one way they can run."
            colette "You're saying he might have used the tunnel to hunt the victim down?"
            martin "I never did like the theory that the bird sanctuary was merely his dumping ground."
            malcolm "The victim did have some wounds which could be from a fall."
            show martin thinking
            martin "His previous victims were all held for some time. He likes to plan things out, like me."
            colette "But not this time. Hm…"
            malcolm "He could have been interrupted, which... an escape could account for that. Or he didn't have time to plan."
            colette "Or, Mr. Timms simply wasn't his type."
            martin "Maybe all of the above?"
        "Don't hang up the phone.":
            $ renpy.block_rollback()
            malcolm "(hesitates) What is it?"
            martin "Do you know what subway tunnels are good for besides simply carrying a body?"
            malcolm "No, Dr. Whitly."
            martin "Let a person loose down in the dark and there's only one way they can run."
            colette "You're saying he might have used the tunnel to hunt the victim down?"
            martin "I never did like the theory that the bird sanctuary was merely his dumping ground."

    colette "Okay, enough. We're not getting anywhere with wild conjecture."
    malcolm "(hangs up)"
    hide martin with dissolve
    hide half claremont martins cell with moveoutright
    colette "The NYPD might employ unusual methods, but no more consulting with your father."

    menu:
        malcolm "Agreed. Let's move on."

        "Head to the deli.":
            $ renpy.block_rollback()
            malcolm "Tito's deli is right this way."
            colette "Slow down, Bright. You know, this is your problem. You make a decision and you just go."
            malcolm "It might've been the last place he was seen alive. Edrisa identified fresh Italian sausage and bread in his stomach contents."
            colette "First, I could've gone without the imagery. Second, it could've been from anywhere in New York!"
            malcolm "Not around here. This man's sandwiches have driven away the competition for a five block radius."
            colette "This better not be your excuse to get lunch."
            malcolm @ smirk "Please, I never eat."
            jump colette_tito_start
        "Head to the adult store.":
            $ renpy.block_rollback()
            malcolm "The bruising and markings on the victim indicates restraints and I know just the guy."
            colette "You're not–"
            malcolm "Nico's place isn't far, and he has all the gear you could ever want."
            colette "Gear like…"
            malcolm "Oh yes. Do you remember when we—"
            colette @ blushing "Not now, Bright. Let's just talk to the guy."
            jump colette_nico_start

#C22
label colette_nico_start:
    scene bg street view a with fade
    queue sound "audio/street_a.mp3"
    "(traffic/street sounds)"

    show ainsley at center with dissolve
    ainsley "What you see across the way is a high-end adult store. Police have just entered the building as part of their investigation into the reemergence of the Sanctuary Killer."

    scene bg sex shop with fade
    queue sound "audio/nicos.mp3"
    "(store beat background music)"

    show nico at center with dissolve
    nico "You're back. Again."
    show nico at right with moveinleft
    show malcolm cocky with dissolve:
        xalign .25
    show colette at left behind malcolm with dissolve:
        xzoom -1
    malcolm "Can't stay away. Nico, this is Special Agent Swanson. Mind if we take a look around? We're looking for some specialized gear for a murder."
    nico @ confused "..."
    malcolm "Solving, not doing."

    menu:
        nico "Do I get to say no?"

        "Of course.":
            $ colette_nico_successes += 1
            $ renpy.block_rollback()
            malcolm "Of course. You can always say no."
            nico "Why do you think you can find what you're looking for here?"
            malcolm "We're looking for something that may have been wrapped around a man's neck. You have a lot of options."
            colette "It left a distinctive pattern."

            menu:
                nico "What sort of pattern?"

                "Repeating.":
                    $ colette_nico_successes += 1
                    $ renpy.block_rollback()
                    malcolm "A distinctive set of bruises repeated in a regular interval. Interior spikes, maybe?"
                    colette "Any ideas what could have caused that?"
                    $ colette_nico_clue_found = True
                    $ colette_evidence_successes += 1
                    $ renpy.block_rollback()
                "Irregular.":
                    $ renpy.block_rollback()
                    malcolm "Hard to say. It was irregular."
                    colette "Only near the nape. There were several overlapping injuries, but the majority of the bruising was a repeating pattern."
                    malcolm "A series of spikes, maybe. Set on the inside."

            show nico thinking
            nico "Hmm. Most gear is made to be as comfortable as possible. Like your cuffs."
            malcolm @ blushing "They're for sleeping."
            colette @ blushing "I don't need to know, Bright."
            nico "That kind of hardcore punishment gear would probably be custom made."
            malcolm "What about metal cuffs. Manacles or shackles?"
            nico "Also not something you generally find on shelves. Most people are just interested in leather and lace."
            colette "Have a list of people who do that kind of work?"
            nico "Yeah I can give you some names. If not custom, though, it could be a DIY thing. It's pretty common to use whatever's on hand, whether or not it's safe."
            jump colette_nico_anything_else

        "You can try.":
            $ renpy.block_rollback()
            show malcolm raised thinking
            malcolm "I mean, you can try. She's just going to go get a warrant, though."
            colette @ worried "..."
            nico "He's fun to work with, isn't he?"
            show malcolm neutral
            colette "Not my first choice to partner with, but he's right. Do I need to arrange for a warrant?"
            jump colette_nico_looking_for
        "Probably not":
            $ renpy.block_rollback()
            malcolm "Probably not."
            colette @ angry "We can come back with a warrant."
            nico "I can assure you I haven't murdered anyone with or without my merchandise."
            jump colette_nico_looking_for

#C23
label colette_nico_looking_for:
    menu:
        nico "What are you looking for?"

        "Collars":
            $ colette_nico_successes += 1
            $ renpy.block_rollback()
            show malcolm neutral
            malcolm "All of the collars that you have. There are some marks on the victim's neck that we're trying to match."
            nico "Everything I've got is on that wall."
            hide nico with dissolve
            show malcolm crossed thinking
            malcolm "Hmm. I don't see anything that would leave the sort of bruise marks we found on the victim."
            colette "Maybe it wasn't from any sort of collar. Maybe the killer used an instrument like a barbecue or carving fork?"
            malcolm "Doubtful. None of the other injuries showed that sort of precision."
            show nico at right with dissolve
            nico "Any luck?"
            malcolm "Anything made of chain or something with spikes on the interior?"
            nico "As you know, most gear is made to be as comfortable as possible. Something like that for hardcore punishment would probably be custom."
            malcolm "What about metal cuffs. Manacles or shackles?"
            nico "Also not something I'd keep on the shelves. Most people are just interested in leather and lace."
            show malcolm neutral
            $ colette_nico_clue_found = True
            $ colette_evidence_successes += 1
        "Rope":
            $ renpy.block_rollback()
            malcolm "Could we see all of your bondage rope? There are some ligature marks on the victim that we're trying to match."
            nico "Everything I keep in stock is hanging over there."
            malcolm "Hmm... Anything thinner?"
            nico "That's everything. Thinner is riskier, but you know that."
            colette @ blushing "(coughs)"
            malcolm "Our killer doesn't care about safe, sane, and consensual. He bound his victim tightly enough to break skin at the wrists, used manacles at the ankle, and whatever he had around the man's neck left bruises in a repeating pattern."
            colette "We think they may have been spikes or studs. The marks were almost puncture wounds."
            nico "Manacles or a collar for hardcore punishment like that would probably be custom made."
        "Masks":
            $ renpy.block_rollback()
            show malcolm crossed thinking
            malcolm "What do you have in masks?"
            nico "Blindfold, masquerade, or puppy?"
            colette @ angry "You are not picking out something for the bedroom while we're working a case."
            nico "So, not masks then."
            colette "Our victim had what was close to puncture wounds in a repeating pattern."
            show malcolm crossed neutral
            malcolm "We think they may have been from spikes or studs."
            nico "On the inside of a collar? Something like that for hardcore punishment would probably be custom made."

    colette "Know anyone who does that kind of work?"
    nico "I can give you some names. It could also be DIY. Plenty of people use whatever's on hand, whether or not it's safe."
    jump colette_nico_anything_else

#C24
label colette_nico_anything_else:
    menu:
        nico "Anything else I can help you with?"

        "You seem nervous.":
            $ colette_nico_successes += 1
            $ renpy.block_rollback()
            show malcolm crossed sideye
            malcolm "You seem nervous."
            nico @ angry "You're the man who chopped my hand off with an axe, can you blame me?"
            colette "Wait, this is that guy?"
            malcolm "The one and only. He bought this place with the money from the settlement."
            colette @ thinking "Good for you."
            show malcolm crossed neutral
            malcolm "Want to give us the grand tour?"
            nico "Uh, no thanks. And if you're trying to show off, you're doing a terrible job of it."
            malcolm @ crossed surprised "…"
            colette @ laughing "Ha."
        "Almost feels like home.":
            $ renpy.block_rollback()
            malcolm "I think we're good. You know, this place almost feels like home."
            nico "You're in here often enough."
            malcolm "C'mon, you enjoy when I stop in. Breaks up the day. Lightens the mood."
            colette "Somehow, I doubt that."
            nico "Well, you're definitely a good customer."
            colette @ blushing "..."
        "Not right now, but maybe later…":
            $ renpy.block_rollback()
            malcolm @ cocky "Not right now, but maybe later."
            colette @ confused "Hey, loverboy, do you want to keep working this case or what?"
            malcolm "Of course I want to stay on the case, but you don't have to ruin the fun."
            colette @ angry "You know I'm not a prude, I just keep my professional life and personal life separate."

    nico "Well, if that's all, I need to finish doing inventory."

    menu (shuffle=False):
        "Ask Nico to keep an eye out for any unusual activity?"

        "Yes":
            $ colette_nico_successes += 1
            $ renpy.block_rollback()
            call suspicion from _call_suspicion_1
            malcolm "If anyone comes in who gives off that creepy bad dom vibe and is into hardcore breathplay or asks for collars that can hurt a person, can you give us a call?"
            show nico worried
            nico "My customers are going to love it when I give their information to the police."
            colette "Unless you have a really good reason to, we're not asking for you to supply identifying information. (significant pause) Are we, Bright."
            show nico neutral
            malcolm @ happy "Of course we're not. Maybe just a photo of what catches their interest."
        "No":
            $ renpy.block_rollback()
            colette "Let's go—it was a bad idea to come here."
            malcolm @ cocky "Was it, really?"
            colette "Out."
            nico @ thinking "I didn't even have to ask him to go this time."
            malcolm @ worried "Yikes. Have I really worn out my welcome?"
            colette @ happy "We've got analysts who can try and match the bruise pattern, we'll figure it out at the precinct. Thanks for the help, Nico."

    nico @ happy "Yeah, okay. See you around, probably."

    if colette_nico_successes >= 2:
        malcolm "Thanks for the help, Nico."
        hide nico with dissolve
        colette "I'm surprised you didn't suggest we bring samples back to your medical examiner."
        malcolm "Well if we find the right collar, but it looks like we've struck out here."
        colette "I wish we knew whether or not this really is the Sanctuary Killer."
        malcolm "Well we know whoever he is, he's likely sadistic and controlling. Never a good combination."
        colette "(muttering) Tell me about it."
        malcolm "Ex-boyfriend?"
        show malcolm raised smirk
        malcolm "Ex-girlfriend?"
        colette "One of each."
        show malcolm neutral
        malcolm "You too, huh? If I had a drink in hand I'd toast to better decisions in the future for the both of us."
        show colette laughing
        call double_hearts_colette from _call_double_hearts_colette_2
        colette "I'll imaginary toast to that. Well, Bright, on to the next place?"
        malcolm "Let's go!"
    else:
        call double_sads_colette from _call_double_sads_colette_2
        colette "We should get going. We have several more stops to make."
        show malcolm neutral
        malcolm "Thanks for the help, Nico."
        nico @ laughing "Have a nice day. I'll be here for whatever next weird request you come in with."
        colette "Let's hit the next place on the list."

    menu (shuffle=False):
        "Call Edrisa with an update?"

        "Yes":
            $ renpy.block_rollback()
            queue sound "audio/phone_call_outbound.mp3"
            "(phone ringing outbound)"
            show half precinct morgue with moveinright
            show edrisa happy at right with dissolve
            if colette_rope_binocular_clue_found == True:
                edrisa "Bright! What do you have for me?"
                malcolm "Nico thinks it's a custom collar."
                show edrisa neutral
                edrisa "Most gear is made for comfort."
                malcolm "That's what Nico said."
                edrisa "Great minds, and all... Give me a call when you have something for me to compare."
                malcolm "Thanks."
            else:
                edrisa "Mr. Brightside!"
                malcolm "I've heard that... too many times."
                show edrisa neutral
                edrisa "Try, try again, I suppose. What can I do you... um, for..."
                edrisa @ blushing "I mean, what’s up?"
                malcolm @ laughing "Nothing new at Nico's. Just wanted to give you an update."
                edrisa "10-4. Talk to you soon."

            hide edrisa with dissolve
            hide half precinct morgue with moveoutright
        "No":
            $ renpy.block_rollback()
            pass

    $ colette_nicos_complete = True

    if colette_titos_complete == False:
        malcolm "Over to Tito's."
        colette "After you."
        jump colette_tito_start
    else:
        malcolm "The pet shop is the only place left."
        jump colette_pet_start

#C25
label colette_tito_start:
    scene bg street view c with fade
    queue sound "audio/street_c.mp3"
    "(traffic/street sounds)"

    show ainsley at center with dissolve
    ainsley "We're here live at a popular local deli where police are investigating the reemergence of the Sanctuary Killer."
    show ainsley at right with moveinleft
    show malcolm raised confused with dissolve:
        xalign .25
    show colette angry at left behind malcolm with dissolve:
        xzoom -1
    malcolm "Not now, Ains."
    colette "FBI. Turn it off."
    ainsley "Okay, sheesh."

    scene bg deli with fade
    queue sound "audio/sizzling.mp3"
    "(sizzling)"

    show tito confused at center with dissolve
    tito "You two responsible for that crew outside?"
    show tito neutral at right with moveinleft
    show malcolm with dissolve:
        xalign .25
    malcolm "Not exactly. We need to ask you some questions."
    show colette at left with dissolve:
        xzoom -1
    colette "Special Agent Swanson, FBI, and this is—"
    tito "The pretty boy is with the NYPD, I know. All I care about is that news crew hanging outside is scaring away the lunch crowd."
    malcolm @ raised cocky "We'll be out of your hair shortly."
    colette @ laughing "The faster you answer our questions, the quicker we leave."

    menu:
        tito "At least buy something. Can I fix you a sandwich?"

        "How about a dozen?":
            $ renpy.block_rollback()
            malcolm "How about a dozen?"
            tito "Feeding a small army?"
            malcolm "We can send the news crew away with lunch and bring some back to our team."
            colette @ confused "I don't think we came here for the sandwiches, Bright…"
            tito @ happy "A dozen sandwiches isn't a rush, but it'll soften the sting."
        "Have any Twizzlers?":
            $ renpy.block_rollback()
            malcolm @ crossed thinking "Have any Twizzlers?"
            tito @ confused "With the rest of the candy, over there."
            malcolm @ raised "Could I get them on a sandwich? White bread with the crust cut off, peanut butter, and Twizzlers."
            tito @ confused "It's your money, but... gonna be straight with you: that's an abomination."
            colette @ thinking "I dunno, I can kinda see it in place of the jelly."
            malcolm @ happy "Exactly!"
        "No thanks.":
            $ renpy.block_rollback()
            malcolm "No thanks, but whatever the lady wants."
            colette @ angry "The {i}lady{/i} would like to get on with this investigation."
            tito "Sounds like you two have some things to work out."

    menu:
        tito "So, you here about the body they found in the subway?"

        "Yes, we are.":
            $ renpy.block_rollback()
            malcolm "Yes, we are, but we'll try and make it quick."
            tito "You think it's related to that fight that went down in the alley?"
            malcolm "You know about that, too?"
            tito "Folks talk and it's all over the news. At this point, who doesn't?"
            malcolm @ thinking "(thinking) He has a point…"
            colette "We have reason to believe the victim, or someone he was involved with, might have been a customer here."
            tito @ confused "Well I do some brisk business, but I'm not sure I've seen him before."
            colette @ worried "His photo hit the news already? We have got to get a handle on the press."
            malcolm @ confused "It'll be easier to solve this case than convince Ainsley to give up the story."

            menu:
                tito "What makes you think he came in here?"

                "The victim's stomach contents.":
                    $ renpy.block_rollback()
                    malcolm "The victim's stomach contents."
                    tito @ angry "Nasty. Sorry I asked."
                    malcolm "How many grilled sausages would you say you serve in a day?"
                    tito "On a slow day, a couple dozen. On a busy day? Triple that."
                    colette @ confused "Does that security camera work?"
                    tito "It's aimed solely at the register. Anyone who's desperate enough to steal food can take it from the shelves."
                    malcolm @ thinking "Seen anyone suspicious around?"
                "We're canvassing all the local shops.":
                    $ renpy.block_rollback()
                    malcolm "We're canvassing all the local shops."
                    tito @ happy "Diligent. I like that in a man."
                    malcolm @ blushing "..."
                    colette "Seen anyone suspicious around?"

            jump colette_tito_bad_vibe
        "We have some questions":
            $ renpy.block_rollback()
            malcolm "We have some questions about the victim."
            tito "Yeah, so you've said, but I'm not sure I've seen him before."
            colette @ worried "His photo hit the news already? Shit. We have to get a handle on the press."
            malcolm @ confused "It'll be easier to solve this case than convince Ainsley to give up the story."
            tito @ happy "Well, I'll help any way I can, though sandwiches are my specialty, not murder."
            jump colette_tito_what_do_you_want
        "Do you know Max?":
            $ renpy.block_rollback()
            malcolm "Do you know Max?"
            tito @ happy "Sure. Nice guy. Comes in almost every day for coffee and to use the restroom."
            colette "Bright, are you thinking he's our suspect?"
            malcolm "No."
            colette "Then stop wasting time. We're here to find out about our victim."
            tito "Well, I'll help any way I can, though sandwiches are my specialty, not murder."
            jump colette_tito_what_do_you_want

#C26
label colette_tito_what_do_you_want:
    menu:
        tito "What do you want to ask me?"

        "Do you sell a lot of sausages?":
            $ renpy.block_rollback()
            malcolm "Do you sell a lot of grilled sausages?"
            tito "On a slow day, a couple dozen. On a busy day? Triple that."
            colette "Seen anyone suspicious around?"
            jump colette_tito_bad_vibe
        "Seen anyone suspicious around?":
            $ renpy.block_rollback()
            malcolm "Seen anyone suspicious around?"
            tito @ confused "Suspicious? No. But some folks have a bad vibe, you know."
            jump colette_tito_elaborate_please

#C27
label colette_tito_bad_vibe:
    menu:
        tito "Suspicious? No. But some folks have a bad vibe, you know."

        "What sort of bad vibe?":
            $ renpy.block_rollback()
            show malcolm raised sideye
            malcolm "What sort of bad vibe?"
            tito "You know the kind of guy who seems nice, but the more you see of him the more you wonder if he's faking it?"
            malcolm "My father is a notorious serial killer serving time for killing 23 people, so... yeah, I have a bit of an idea of what that's like."
            colette "You have a regular who seems shady?"
            jump colette_tito_might_be_nothing
        "I'll say.":
            $ renpy.block_rollback()
            malcolm "I'll say."
            colette "Do you think you got a read on our victim?"
            tito "I don't think so. Guy looked familiar, but I can't place him. If he came in, it was probably only once. Repeats I remember."
            malcolm "Any of those regulars have that bad vibe you mentioned?"
            jump colette_tito_might_be_nothing
        "Can you elaborate?":
            $ renpy.block_rollback()
            jump colette_tito_elaborate_please

#C28
label colette_tito_elaborate_please:
    colette @ worried "Can you elaborate on that?"
    tito @ confused "Nah, never mind. Shouldn't speak ill of folks I don't know."
    malcolm @ raised confused "It could be something."
    tito "Or could be nothing. Besides, if you're canvassing the neighborhood, you'll run into him."
    jump colette_tito_might_be_nothing

#C29
label colette_tito_might_be_nothing:
    menu:
        tito "It might be nothing."

        "Anything helps.":
            $ renpy.block_rollback()
            show malcolm raised
            malcolm "Anything helps."
            tito @ confused "Nah, never mind. Shouldn't speak ill of folks I don't know."
            malcolm "Just give us a name."
            show tito angry at right
            tito "If you're canvassing the neighborhood shops, you'll run into him."
            malcolm "Anything I can say to convince you?"
            show colette worried

            menu:
                colette "Bright, ease off. He's clearly—"

                "Covering for someone.":
                    $ renpy.block_rollback()
                    show malcolm raised angry
                    malcolm "Covering for someone!"
                    show bg deli with vpunch
                    tito "The hell I am, but I'm done talking to you two."
                    call double_sads_colette from _call_double_sads_colette_3
                    colette @ angry "Shit."
                    jump colette_tito_location_check
                "Not willing to talk.":
                    $ renpy.block_rollback()
                    show malcolm neutral
                    malcolm "Not willing to talk, I know, but it was worth a shot."
                    colette "Your people skills need work."
                    show tito confused at right
                    tito "Damn right. I might shoot the breeze with your cop friends, but I'm not a snitch."
                    jump colette_tito_keep_an_eye_out
        "Let us be the judge.":
            $ renpy.block_rollback()
            malcolm "Let us be the judge of that."
            tito "Well, only because JT and Dani have vouched for you... If you haven't been to the pet shop yet, there's something about the guy who owns it that I don't like."
            colette "Anything more concrete than that?"
            tito "You mentioned my sausage sandwiches and he always orders a sausage with peppers, extra mustard. Recently he's doubled up on the order."
            malcolm "We'll keep that in mind."
            $ colette_tito_clue_found = True
            $ colette_evidence_successes += 1
            $ renpy.block_rollback()

            malcolm "Does he pay cash?"
            tito "Card every time. Not a bad tipper. Though, come to think of it, not a great one, either."
            malcolm "That's one way to not stand out, generally speaking."
            call double_hearts_colette from _call_double_hearts_colette_3
            colette "Astute observation, Bright."
            malcolm @ smirk "I have my moments."
            colette "Say, does your POS ring up the type of sandwich sold?"
            tito "It does."
            malcolm "Can we get a copy of your transactions for the last ten days?"
            tito "You really think it'll help?"
            malcolm "I hope so."
            tito "I'll see what I can do."
            colette "Yeah, I got that part. We could get the security footage from the cameras outside for those timestamps, too."
            jump colette_tito_keep_an_eye_out

#C30
label colette_tito_keep_an_eye_out:
    menu (shuffle=False):
        "Ask Tito to keep an eye out for any unusual activity?"

        "Yes":
            $ renpy.block_rollback()
            call suspicion from _call_suspicion_2
            malcolm "Could you give us a call if you see anything strange going on?"
            tito @ confused "This is New York, you've gotta be more specific."
            colette "If you see someone who might be in danger, or who you think is dangerous, it would be helpful if you reached out."
            tito "I'll keep an eye out, but I'm not an informant."
            malcolm "Thanks, Tito."
        "No":
            $ renpy.block_rollback()
            malcolm "Thanks for your help."
            colette "Have a good day."
    jump colette_tito_location_check

#C31
label colette_tito_location_check:
    menu (shuffle=False):
        "Call Edrisa with an update?"

        "Yes":
            $ renpy.block_rollback()
            queue sound "audio/phone_call_outbound.mp3"
            "(phone ringing outbound)"
            show half precinct morgue with moveinright
            show edrisa happy at right with dissolve
            if colette_tito_clue_found == True:
                edrisa "Bright! What's new?"
                malcolm "The pet shop owner's favorite sandwich is sausage and peppers with mustard."
                show edrisa neutral
                edrisa "That might account for the pet hair... I love a good sausage and peppers—bring me back one?"
                malcolm "You got it."
                edrisa "Later, tater."
            else:
                edrisa "City boy!"
                malcolm "..."
                show edrisa neutral
                edrisa "Oh, is that only a Gil thing? ... Did you need something?"
                malcolm "We're bringing back sandwiches from Tito's—give everyone the heads up?"

            hide edrisa with dissolve
            hide half precinct morgue with moveoutright
        "No":
            $ renpy.block_rollback()
            pass

    $ colette_titos_complete = True
    if colette_nicos_complete == False:
        malcolm "Over to Nico's."
        colette "After you."
        jump colette_nico_start
    else:
        malcolm "The pet shop is the only place left."
        jump colette_pet_start

#C32
label colette_pet_start:
    scene bg street view b with fade
    queue sound "audio/street_b.mp3"
    "(traffic/street sounds)"
    show ainsley at center with dissolve
    ainsley "Police have just entered a local pet shop as part of their investigation into the Sanctuary Killer. Will they find anything? Stay tuned."
    scene bg pet shop with fade
    queue sound "audio/door_chime.mp3"
    "(door chime)"

    show colette with dissolve:
        xalign .25
        xzoom -1
    queue sound "audio/bird_squawk.mp3"
    "(bird squawk)"
    show malcolm at left behind colette with dissolve
    queue sound "audio/cage_rattling.mp3"
    "(cage rattling)"
    colette "Special Agent Swanson, FBI. This is Malcolm Bright, a consultant for the NYPD. We have some questions related to the murder in the subway that took place near here."
    show blake at right with dissolve
    blake "I'm sorry, did you say a murder?"
    colette "The one that all of the police and news crews have been outside for. You can't miss it."
    blake "I've been too busy running this place to have the news on."
    malcolm "Do you mind if I take a look at those fancy bird toys behind the counter?"

    menu:
        blake "I really wish you wouldn't."

        "You don't want customers?":
            $ renpy.block_rollback()
            malcolm "You don't want customers? I've got a parakeet at home who is always in need of new toys."
            blake "Please, you'll make a mess, and I don't have extra staff."
            colette "You're understaffed? Why's that."
            blake "It's just me. Times are tight right now."
            malcolm "Lucky for you I'm interested in making a purchase then. What do you have in the way of collars?"
            blake @ confused "I thought you said you had a bird."
            colette "Just answer the question."
            blake "Quick release and nylon over there, hand-tooled leather behind the counter, just below the bird toys."
            malcolm "Aha, perfect."

            menu:
                blake "What exactly are you looking for?"

                "Something for large dogs":
                    $ renpy.block_rollback()
                    malcolm "Something for large dogs."
                    blake "I don't stock much for larger breeds. What does this have to do with the dead guy?"
                    colette "I thought you weren't watching the news?"
                    blake "I'm not."
                    malcolm "Then how did you know our victim was a man?"
                    blake @ angry "Lucky guess, and I don't think I like your tone."
                    malcolm "Anything else besides these? Say at least 13\" and made of metal?"
                    blake "I carry chain leashes, but that's it. If you're looking for a choke collar, I could order one for you."
                "Something at least 13 inches":
                    $ renpy.block_rollback()
                    malcolm "Something at least 13\" and made of metal."
                    blake "I carry chain leashes, but I only stock collars in nylon and leather. I could order something for you."
                    colette "That won't be necessary."
                "Something in my size":
                    $ renpy.block_rollback()
                    malcolm "Something in my size."
                    blake @ extra smarmy "There's a whole shop for that sort of thing a block away."
                    colette "We've been there."
                    blake "I keep limited stock on hand, but I could order something {i}special{/i} for you."
                    colette @ angry "That won't be necessary."

            jump colette_pet_quit_touching
        "Don't mind me.":
            $ renpy.block_rollback()
            malcolm "Don't mind me, I'll be done in a jiffy."
            blake @ confused "Whatever you do, don't make a mess!"
            colette @ happy "Unfortunately that's his specialty."
            jump colette_pet_not_in_the_mood
        "Do I need a warrant?":
            $ renpy.block_rollback()
            call suspicion from _call_suspicion_3
            malcolm @ sideye "Do I need a warrant to shop here? You're not worried about us finding some kind of evidence, are you?"
            blake "You mean for that murder?"
            malcolm "Unless there's something else you're hiding."
            colette "Bright!"
            jump colette_pet_not_in_the_mood

#C33
label colette_pet_not_in_the_mood:
    show blake angry
    menu:
        blake "I'm really not in the mood for this."

        "This won't take long.":
            $ renpy.block_rollback()
            malcolm @ happy "This won't take long. I'm just going to have a quick peek."
            colette "We'll be out of your hair soon."
            blake "Take your friend with you."
            colette "His {i}friend{/i} would rather be addressed as Special Agent Swanson."
            blake "Well, Special Agent, are you going to ask me anything or just rummage through my wares?"
            jump colette_pet_quit_touching
        "I promise to buy something":
            $ renpy.block_rollback()
            malcolm "I promise to buy something."
            blake "(shrugs)"
            malcolm "No? Don't you want more money in the till?"
            blake "I'd rather have real customers instead of you two."
            colette "Do you have something against law enforcement, Mr. Blake?"
            blake @ angry "Don't twist my words."
            jump colette_pet_quit_touching
        "Neither am I.":
            $ renpy.block_rollback()
            malcolm "Neither am I. There are other places I could be, but we have a body in the morgue and you're not being very cooperative."
            show blake confused at right
            blake "You're snooping around my shop insinuating things. Do I need to call a lawyer?"
            show malcolm raised angry
            malcolm "Do you?"
            colette "Bright…"
            jump colette_pet_get_out

#C34
label colette_pet_quit_touching:
    show blake confused
    menu:
        blake "Hey, quit touching everything!"

        "Ask about the rope swing.":
            $ renpy.block_rollback()
            malcolm @ cocky "These bird toys are really well made. (whistles) They're not mass manufactured, are they?"
            call suspicion from _call_suspicion_4
            blake "No, the former owner made a lot of custom items for the shop, including those leather collars."
            colette "Anything with spikes on the inside?"
            blake @ confused "S-spikes?"
            malcolm "Yeah, something that would leave a series of bruises in pairs, spaced regularly apart."
            blake "That sounds like a prong collar. They're uh, used for training dogs that pull on leash."
            colette "Have any in stock?"
            blake "They're a bit controversial. I can um, check in the back…"
            colette "Please."
            blake "Sure. Wait right here, and don't touch anything else."
            hide blake with dissolve
            queue sound "audio/footsteps.mp3"
            "(footsteps)"
            colette "I don't like this guy."
            show bg pet shop with vpunch
            show colette worried
            menu:
                colette "Bright! What are you doing?"

                "Do nothing.":
                    $ renpy.block_rollback()
                    malcolm "Nothing."
                    colette @ confused "Why are you just standing there? Hurry up and check around the register."
                    show bg pet shop with vpunch
                    malcolm @ surprised "Yes ma'am!"
                    jump colette_pet_rummaging
                "Check beneath the register.":
                    $ renpy.block_rollback()
                    malcolm "Just having a look around the register."
                    colette "Make it quick."
                    jump colette_pet_rummaging
                "Pocket the rope swing.":
                    $ renpy.block_rollback()
                    call suspicion from _call_suspicion_5
                    malcolm "Just grabbing this in case the rope—"
                    colette "That's theft."
                    malcolm "It could be evidence."
                    colette @ angry "This is why I don't like working with you."
                    queue sound "audio/footsteps.mp3"
                    "(footsteps)"
                    show blake at right with dissolve
                    blake "I didn't—"
                    show bg pet shop with vpunch
                    blake "Hey! Are you paying for that?"
                    malcolm @ surprised "..."
                    jump colette_pet_get_out
        "Ask about the hand-tooled leather collar.":
            $ renpy.block_rollback()
            malcolm "Swanson, a hundred-fifty is a little pricey for a collar isn't it? I mean, half the stuff at Nico's is cheaper than that."
            blake "That collar, as is most of the stuff behind the counter, is handmade and custom."
            colette "Handmade by you?"
            blake @ confused "No, the former owner. They made a lot of custom items for the shop."
            malcolm "Why don't you tell Agent Swanson a little more about that, I'm just going to take a quick peek in the back."
            show blake angry at right
            blake "The hell you are! I'm running short on patience."
            malcolm "You seem short on a few things, which why I—"
            jump colette_pet_get_out

#C35
label colette_pet_get_out:
    blake "That's it, get out before I file a harassment complaint against the two of you."
    call double_sads_colette from _call_double_sads_colette_4
    colette "Shit. Come on, Bright."
    jump colette_pet_fail_to_precinct

#C36
label colette_pet_rummaging:
    malcolm "(rummaging) Hmm, interesting…"
    hide malcolm with dissolve
    colette "Anything?"
    show malcolm crossed thinking at left behind colette with dissolve
    malcolm "Nothing suspicious, just invoices and a—"

    queue sound "audio/footsteps.mp3"
    "(footsteps)"
    show blake at right with dissolve
    blake "As I thought, nothing in the back."
    show bg pet shop with vpunch
    blake "Hey! What are you doing?"
    malcolm "Just checking out this rope swing for my parakeet. Natural hemp fibers, this is really nice."
    blake "Are you going to buy it?"
    malcolm "I think I will."
    blake "That'll be $41.73"
    colette @ surprised "Pricey."
    malcolm "You can put it on this card."
    blake "Anything else?"
    colette "Not for now. Thanks for your time, sir."
    $ colette_rope_binocular_clue_found = True
    $ colette_evidence_successes += 1

    menu (shuffle=False):
        "Call Edrisa with an update?"

        "Yes":
            $ renpy.block_rollback()
            queue sound "audio/phone_call_outbound.mp3"
            "(phone ringing outbound)"
            show half precinct morgue with moveinright
            show edrisa happy at right with dissolve
            if colette_rope_binocular_clue_found == True:
                edrisa "Bright! What's the latest?"
                malcolm "I have some new rope for you to check out."
                edrisa "Quarter-inch-thick Japanese-style bondage rope?"
                malcolm "A little swing."
                show edrisa neutral
                edrisa "Well, I—"
                malcolm "Hemp fiber for comparison."
                edrisa "Oh... bring it by, and I'll see what I can do."
            else:
                edrisa "MB!"
                malcolm "... does that make you Spider-Man?"
                show edrisa neutral
                edrisa "Or an homage to one of our best detectives... could use some work I guess. Workshopping. Do you need something?"
                malcolm "We just finished at the pet shop. We'll be on the way in soon."
                edrisa "Catch ya later."

            hide edrisa with dissolve
            hide half precinct morgue with moveoutright
        "No":
            $ renpy.block_rollback()
            pass

    scene bg street view a with fade
    show ainsley at center with dissolve
    ainsley "We're on the case while police determine who the suspects may be... The two leads on the case aren't known for working well together. Can they see past their differences to catch a murderer?"
    hide ainsley with dissolve
    queue sound "audio/street_a.mp3"
    "(traffic/street sounds)"

    show malcolm crossed thinking at left with dissolve
    show colette thinking at right with dissolve
    colette "That guy was definitely hiding something."
    malcolm "I'll say, but no weapons behind the counter and not much to go on."
    colette "Except that toy. You're thinking that rope might be a piece of what was used to tie up our victim?"
    malcolm "It's a stretch, but it's thinner than what was in Nico's shop, and if it was custom made on the premises, it stands to reason there might be a spool of it."
    colette "Wish we could get a look at the back of the shop."
    malcolm "Well, if this is a match to those ligature marks, it'll be enough for a warrant."
    colette "What do you think about the collar?"
    malcolm "I know birds and snakes, not dogs, but it sounds like we might have something to go on there, too."

    show colette thinking
    menu:
        colette "Hmm."

        "Where to now, Special Agent?":
            $ colette_as_you_wish_count += 1
            $ renpy.block_rollback()
            malcolm "Where to now, Special Agent?"
            show colette surprised
            call double_hearts_colette from _call_double_hearts_colette_4
            malcolm "What?"
            colette "Are you finally learning to respect my opinion?"
            show malcolm worried
            malcolm "I haven't always agreed with your opinions, but I've always respected them."
            colette "You had a funny way of showing it back at the Bureau. Every chance you got, you were always second-guessing me and insisting your way was the only way."
            malcolm "I think we both brought a lot of baggage to the job."
        "Let's regroup at the 16th.":
            $ renpy.block_rollback()
            malcolm "Shall we regroup at the 16th?"
            show colette surprised
            malcolm "What?"
            colette "It's just not the first time you've asked for my opinion today. I'm not used to it."
            malcolm "I know I ran a little roughshod over you at the Bureau more than once."
            colette "Not just me..."
            malcolm "I burned a lot of bridges, didn't I?"
            colette "A few."
            malcolm "(sigh) I think we both brought a lot of baggage to the job."

    colette "You're probably right. (pause) Okay, Bright, let's get going. Maybe the detectives have found something useful to add to our profile."
    malcolm "Back to business, huh?"
    colette @ happy "No heart to hearts unless I'm out at the range."
    malcolm "Noted. Still the best shot?"
    colette @ laughing "Of course. Still prefer attempting to talk down even the most dangerous suspects?"
    malcolm @ happy "Unless I'm out of options."
    colette "You always find a way out."
    malcolm "(shrugs)"
    colette "That's a good thing."
    show malcolm raised blushing at left
    $ renpy.pause(1)
    jump colette_ains_precinct

#C37
label colette_pet_fail_to_precinct:
    scene bg street view a with fade
    show ainsley at center with dissolve
    ainsley "We're on the case while police determine who the suspects may be... By the looks of it, the investigation could be on shaky ground. The two leads on the case aren't known for working well together."
    hide ainsley with dissolve
    queue sound "audio/street_b.mp3"
    "(traffic/street sounds)"
    show malcolm crossed thinking at left with dissolve
    show colette thinking at right with dissolve
    malcolm "There are a few more businesses around here worth investigating. Lead the way and I'll follow."
    colette @ surprised "..."
    malcolm "What?"
    colette "It's just not the first time you've deferred to me today. I'm not used to it."
    malcolm "I know I ran a little roughshod over you at the Bureau more than once."
    colette "Not just me…"
    show malcolm crossed worried
    malcolm "I burned a lot of bridges, didn't I?"
    colette "A few."
    show malcolm crossed thinking
    malcolm "(sigh) I think we both brought a lot of baggage to the job."
    colette "You're probably right. (pause) Okay. Let's keep going... "
    hide malcolm with dissolve
    hide colette with dissolve
    show ainsley at center with dissolve
    ainsley "One thing's for sure, merchants in Midtown are fed up with the Feds. They've been fielding questions all day from a joint investigation between the FBI and the NYPD."
    ainsley "Is law enforcement any closer to finding the man who might very well be the Sanctuary Killer? Stay tuned for more updates."

    jump colette_ains_precinct

#C38
label colette_ains_precinct:
    scene bg precinct conference room fbi with fade
    show ainsley at right with dissolve
    show malcolm with dissolve:
        xalign .25
    ainsley "Can the people of New York sleep soundly tonight? Or is a serial killer hunting in their midst?"
    malcolm @ worried "Out, Ains. Out."
    show ainsley worried
    ainsley "But—"
    show gil at left behind malcolm with moveinleft:
        xzoom -1
    gil "No comment."
    hide ainsley with dissolve
    "I retreated, but not before I got an eyeful of evidence on the case board. It seemed a little spotty. The whole team stayed behind in the conference room to review."

    show colette at center with dissolve
    show dani behind colette with dissolve:
        xalign .72
    show jt at right behind dani with dissolve

    menu:
        gil "Walk us through it, kid."

        "Defer to Colette":
            $ colette_as_you_wish_count += 1
            $ renpy.block_rollback()
            malcolm "I'll let Special Agent Swanson catch you up on where we're at with the profile."
            call single_hearts_colette from _call_single_hearts_colette_2
            colette "No, Bright, you go ahead. Show me your stuff."
        "Recap the evidence.":
            $ renpy.block_rollback()
            pass

    if colette_nico_clue_found == True:
        malcolm @ raised neutral "Well, based on our conversation at the adult shop with our old friend Nico, we know the bruising on Vic Timms's neck isn't likely from a BDSM collar. Or, if it is, it's custom made. Either way... (gesturing to Swanson)"
        colette @ thinking "Thanks, Bright. We're definitely looking at a sadist. Between the cigarette burns and the marks at the throat, we know our killer enjoys inflicting pain on his victims."
        show dani worried
        show gil thinking
        colette "Despite the change in victimology, we believe this confirms that we're looking for the Sanctuary Killer."
    else:
        malcolm "Our old friend Nico at the adult shop wasn't very forthcoming, but we're definitely looking at a sadist."

    if colette_tito_clue_found == True:
        malcolm "Blake always orders a sausage and peppers, extra mustard. And guess what Edrisa found in Vic's stomach?"
        show gil neutral
        show dani confused
        colette "We get the picture."
    else:
        show dani neutral
        show gil neutral
        malcolm "Tito sent us back with some sandwiches."

    if colette_witness_description_found == True:
        colette "Interviewing a witness at the scene, we obtained a description of a white male, roughly six feet."

        jt "Anything else?"
        malcolm @ thinking "Possibly wearing a hoodie."
        colette "He entered through the tunnel and he may have been carrying the victim."
        show jt worried 
       dani @ angry "That's a lot of maybes."
        malcolm "We might not have the strongest witness, but he's willing to look at photos if we find a suspect."
        show jt neutral
       colette "Unfortunately one of the remaining unknowns is whether the victim was killed in the tunnel or on the platform."
    else:
        malcolm @ sad "The witness we found didn't give us much to go on."
        colette @ worried "We still don't know if the victim was killed in the tunnel or on the platform."

    if colette_cigarette_clue_found == True:
        malcolm "In addition to the train ticket found at the scene of the disturbance in the alleyway, a second sweep of the location found a cigarette. We're waiting on DNA results, but it was pinched out, not ground out."
        show malcolm crossed sideye
        colette "You'll see in the files that the Sanctuary Killer left similar evidence behind in Nahant."
        malcolm "This places both the killer and the victim at the scene. There's a possibility he may have used the access tunnel for more than simply disposal, but to chase down his victim for one last thrill."
        show malcolm neutral
        jt "That's one sick son-of-a-bitch."
    else:
        malcolm "A train ticket found in the alleyway places Mr. Timms at the scene."
        colette "Also in that alley, an access tunnel down to the tracks. It stands to reason the disturbance was in some way connected to the murder."

    if colette_rope_binocular_clue_found == True:
        malcolm "A sample of rope acquired at the pet shop has been sent to Edrisa to compare with the ligature marks on the body."
        show gil thinking
        colette "The owner was far from forthcoming. He claims not to carry the sort of dog training collar that would be consistent with the bruising on the victim's neck."
        show dani thigh thinking
        dani "I've been in that shop for a kitten fix before. New guy who works there is definitely creepy."
        colette "Some men give off a bad vibe, and he's one of them."
        dani "I think I've seen some cages in there large enough to hold a person."
        jt @ thinking "Bright-sized or someone fully grown?"
        show dani thigh laughing
        malcolm "Ha ha."
        show dani thigh neutral
        dani "It wouldn't be a comfortable fit, but you or Gil could squeeze into one."
        jt @ happy "So, fully grown."

        colette "..."
        malcolm @ confused "..."
        jt "What? All work and no play makes FBI Agents dull as fu—"
        show bg precinct conference room fbi with vpunch
        show gil surprised
        gil "Detective!"
        show gil neutral
        show jt phone neutral
        jt "Ahem, sorry. One other thing, Vic was big into birdwatching. His social media is filled with photographs of his sightings."
        colette "That would make him familiar with the bird sanctuary where the original bodies were found."
        show malcolm raised sideye
        malcolm "Can I see those photos?"
        jt "Sure. (shows Malcolm)"
        show malcolm crossed sideye
        malcolm "You know, I saw a pair of binoculars just like that behind the counter at the pet shop."
        colette "Sounds like it's worth another visit. Anything else we ought to know about before we finish revising the profile?"
        show malcolm neutral
    else:
        malcolm "We could be looking at someone using a dog training collar on the victims."
        colette @ confused "The local pet shop owner claims not to carry them."
        show dani thigh thinking
        dani "I've been in that shop for a kitten fix before. New guy who works there is definitely creepy, and the place has a few cages large enough to hold a person."
        colette @ worried "Some men give off a bad vibe, and he's one of them."
        malcolm "Going back there with a warrant seems prudent."
        show dani thigh neutral
        colette "Agreed. Any other evidence we ought to know about before we finish revising the profile?"

    if colette_evidence_successes >= EVIDENCE_SUCCESS:
        gil @ thinking "That's all we've got."
        malcolm @ thinking "So, back to the pet shop?"
        colette "First things first. Detective Powell can you work on getting a judge to sign off on a warrant?"
        dani @ happy "Can do."

        menu:
            gil "Special Agent Swanson, I'm sure you want to take point."

            "I can show Agent Swanson where the binoculars are.":
                $ renpy.block_rollback()
                malcolm "Agent Swanson, I can show you where the binoculars were."
                colette "Hopefully we didn't spook him."
                gil "My team is at your disposal."
                colette "Good."
            "I have to go, too.":
                $ renpy.block_rollback()
                malcolm "Gil, I have to go with her."
                gil "It's my call, Bright. The NYPD will provide backup, if needed."
                colette "We could use the additional personnel."
            "Major Crimes should take the collar!":
                $ renpy.block_rollback()
                malcolm "Major Crimes should take the collar!"
                gil "This has been, and will continue to be a joint investigation. We do it together."
                colette "Thank you, Lieutenant."

        menu:
            colette "Lieutenant, I'd like you to stay here and coordinate. The rest of us will split into two teams. I'm going to need backup."

            "Take me with you.":
                $ renpy.block_rollback()
                show malcolm raised smirk
                malcolm "Take me with you."
                colette "Bright..."
                malcolm "We've been working pretty well together so far, and I know the case inside out."
                show malcolm pockets smirk
                gil "You sure about this?"
                malcolm "Positive. Agent Swanson?"
                colette "Okay. You're with me."
            "I'm great backup!":
                $ renpy.block_rollback()
                show malcolm raised happy
                malcolm "Take me with you, I'm great backup!"
                jt "Said no one ever."
                show malcolm crossed confused
                malcolm "Hey!"
                dani "He's not wrong... you have a tendency to run off on your own."
                show colette laughing
                colette "Some things never change. All right. You're with me so I can keep an eye on you."
            "Backup is overrated.":
                $ renpy.block_rollback()
                show malcolm crossed confused
                malcolm "Eh, backup is overrated."
                jt "Say that the next time one of us saves your ass."
                show malcolm crossed worried
                malcolm "This isn't about me."
                dani @ angry "Oh, stop. We're all on the same team here."
                colette "Bright, if you want in on this, I'm not letting you out of my sight. You're with me."

        gil @ thinking "Okay, if that's all. I'll leave it to you, Agent."
        colette "Thanks, Lieutenant. As soon as we have that warrant, we'll execute."
        gil "Good luck out there. Let's hope he's the guy."
        achieve Call Backup

        scene bg street view a with fade
        show ainsley at center with dissolve
        ainsley "Sources inside the precinct have revealed that authorities are getting closer to identifying a suspect. Could this be the famed Sanctuary Killer? Will the victims loved ones finally have closure?"
        hide ainsley with dissolve
        queue sound "audio/street_a.mp3"
        "(traffic/street sounds)"

        #$ outfit_piece_display = copy.deepcopy(standard_outfit_piece_display)
        $ add_accessory("Call Backup", "chest", "POLICE Vest")
        $ persistent.malcolm_current_outfit["chest"] = "POLICE Vest"
        $ malcolm_current_outfit["chest"] = outfit_piece_display["chest"].index("POLICE Vest")
        $ renpy.block_rollback()

        show malcolm pockets neutral at left with dissolve
        show colette neutral at right with dissolve
        malcolm "How are you feeling?"
        colette "Excuse me?"
        malcolm "Are you confident we have the right guy?"
        colette "Are you?"
        malcolm "With the way Blake was posturing, I'd say the overall profile fits, but I'm less confident that he's the Sanctuary Killer."
        colette "Nice to see you exercise a little caution before jumping to conclusions. I wish we knew a little more going in."
        malcolm "Me, too. Although I'm willing to bet he had an overbearing mother."
        colette "Are you seriously bringing up mommy issues now, at the eleventh hour?"
        malcolm @ laughing "I was joking. What do you say we serve this warrant?"

        if points_blake_suspicion >= SUSPICION_SUCCESS:
            jump colette_blake_suspicion
        else:
            jump colette_blake_no_suspicion
    else:
        gil "That's all we've got."
        malcolm "So back to the pet shop? I can—"
        colette "You can stay here, Bright. You're done. My team is better equipped to handle this."
        malcolm "But—"
        colette "I said my team can take it from here. You're off the case. Lieutenant, thanks for the assist, but the FBI will continue this investigation without NYPD resources."

        scene bg loft kitchen with fade

        "Sources from inside the NYPD are saying the FBI, led by Special Agent Colette Swanson, has fully taken over the investigation into the Sanctuary Killer. However, no suspects have been taken into custody..."

        show malcolm at left with dissolve
        show sunshine at right with dissolve

        malcolm "(turns off the TV)"
        malcolm @ worried "I did my best, Sunshine. Sometimes... (sigh) it's not good enough."
        show sunshine confused at right
        queue sound "audio/parakeet_chirp.mp3"
        sunshine "(chirp)"

        jump colette_bad_ending_business

#C39
label colette_blake_suspicion:
    colette "Shit. Closed."
    malcolm "You think he packed up an hour early for any reason other than to dispose of evidence?"
    colette "Doubtful."
    malcolm "My thoughts exactly. Let's check the back."
    hide malcolm with dissolve
    colette "Bright! Wait!"
    show malcolm at left with dissolve

    menu:
        "We go in together.":
            $ colette_as_you_wish_count += 1
            $ renpy.block_rollback()
            if colette_as_you_wish_count == 6:
                achieve As You Wish
            malcolm "Just taking a peek. Seems clear. We go in together, right?"
            call single_hearts_colette from _call_single_hearts_colette_3
            colette "Right, but stay back. I'm the one with the firearm."
            jump colette_blake_alleyway_together
        "I've got it!":
            malcolm "I've got it!"
            colette "Shit."

            scene bg alleyway with fade
            show ainsley at center with dissolve
            ainsley "Police presence is heightened in the area, and we've received reports of activity near the alley where an altercation may have led to the death of Mr. Vic Timms."
            hide ainsley with dissolve

            show blake at right with dissolve
            show malcolm at left with dissolve
            malcolm "Hey, Blake, I just want to—"
            jump colette_avoid_takedown_alone
        "You go, I'll hang back.":
            malcolm "Just taking a peek. Seems clear, but since you're armed, you go in and I'll hang back here."
            colette "That's precisely what I was going to suggest."
            hide colette with dissolve
            malcolm "..."
            malcolm "This is taking too long."

            scene bg alleyway with fade
            show ainsley at center with dissolve
            ainsley "Police presence is heightened in the area, and we've received reports of activity near the alley where an altercation may have led to the death of Mr. Vic Timms."
            hide ainsley with dissolve

            show malcolm pockets neutral at left with dissolve
            malcolm "Agent Swanson?"
            queue sound "audio/crash.mp3"
            "(crash)"
            malcolm "Colette!"
            show bg alleyway with vpunch
            show blake with dissolve
            blake "Too slow, pretty boy."
            scene bg black with fade

            jump colette_blake_bad_ending

#C40
label colette_blake_no_suspicion:
    colette "We play this low-key. He won't like being challenged again so soon, and if he is the Sanctuary Killer, you fit his victim profile."
    malcolm "Got it. You do the talking while I play distraction-slash-bait."
    colette "Ready?"
    malcolm "Ready."

    scene bg pet shop with fade
    show colette neutral with dissolve:
        xzoom -1
        xalign .25
    show malcolm pockets neutral at left behind colette with dissolve
    colette "Mr. Delarue? Blake? Sorry to bother you again so soon, but we have a few more questions."
    show blake neutral at left with dissolve
    show bg pet shop with vpunch
    hide blake with moveoutright
    malcolm "He's running!"
    colette "—this is Special Agent Swanson working with the one-six requesting backup—"

    show bg pet shop back with fade

    jump colette_blake_qte

#C41
label colette_blake_qte:
    $ renpy.block_rollback()
    $ renpy.choice_for_skipping()
    $ global current_qte_game
    $ current_qte_game = "colette_catch"
    jump qte

#C42
label colette_blake_qte_success:
    $ won_minigame()
    $ renpy.block_rollback()
    show colette neutral with dissolve:
        xzoom -1
        xalign .25
    show malcolm pockets neutral at left behind colette with dissolve
    colette "Stop!"
    malcolm "C'mon, we've got him cornered!"
    jump colette_blake_alleyway_cornered

#C43
label colette_blake_qte_failure:
    $ renpy.block_rollback()
    show colette neutral with dissolve:
        xzoom -1
        xalign .25
    show malcolm pockets neutral at left behind colette with dissolve
    colette "He's getting away!"
    jump colette_blake_alleyway_together

#C44
label colette_blake_alleyway_cornered:
    scene bg alleyway with fade
    show ainsley at center with dissolve
    ainsley "Additional officers are arriving on scene where the FBI and NYPD are pursuing a suspect who may be the notorious Sanctuary Killer."
    hide ainsley with dissolve

    jump colette_blake_battle_game

#C45
label colette_blake_battle_game:
    $ renpy.choice_for_skipping()
    jump battle_game_2

#C46
label colette_blake_battle_game_success:
    $ won_minigame()
    $ renpy.block_rollback()
    show blake at center with dissolve
    malcolm "I've got him."
    show jt at right with dissolve
    jt "You okay?"
    malcolm "I'll be better once you cuff our suspect."
    jt "I'm on it."
    colette "Blake Delarue, you're under arrest for assaulting a Federal Agent."
    blake "..."
    jt "Dani and I will take him down to the station. Uniforms are already securing the interior. You two going to take a look inside?"

    menu:
        "Unless Special Agent Swanson is done with me.":
            $ renpy.block_rollback()
            pass
        "Of course.":
            $ renpy.block_rollback()
            pass

    malcolm "Of course. Unless Agent Swanson is done with me."
    colette "Let's go find some evidence to put this guy away for good."

    scene bg pet shop back with fade
    show ainsley at center with dissolve
    ainsley "This just in, a Manhattan business owner has been taken into custody in connection with the death of Mr. Vic Timms, a hedge fund manager whose body was discovered..."
    hide ainsley with dissolve

    show colette neutral at right with dissolve
    show malcolm pockets neutral at left with dissolve
    colette "If he really is the Sanctuary Killer, we're going to want to take this place apart."
    malcolm "..."
    colette "Bright?"
    malcolm "Did you hear that?"
    colette "..."
    malcolm "This way."
    hide malcolm with moveoutleft
    colette "Bright! Wait!"

    scene bg sex dungeon negative with fade

    show leonard with dissolve
    leonard "No! Please don't hurt me!"
    show malcolm pockets neutral at left with dissolve
    malcolm "Leonard?"
    leonard "M-Malcolm?"
    malcolm "The one and only. Take it easy. Blake's in custody."
    leonard "Thank God."
    show colette neutral at right with dissolve
    colette "You know this guy?"
    malcolm "He works for my mother."
    colette "That's either coincidence, or your family has the worst luck imaginable."
    malcolm "Can't argue with that."
    leonard "C-can I borrow your shirt? Mine's all ripped—it's cold down here."
    hide malcolm with dissolve
    $ renpy.pause(.1)
    #$ outfit_piece_display = copy.deepcopy(standard_outfit_piece_display)
    achieve Thot Stuff
    $ add_accessory("Thot Stuff", "shirt-pattern", "Thot Stuff")
    $ add_accessory("Thot Stuff", "top", "Crop Top")
    $ malcolm_current_outfit["top"] = outfit_piece_display["top"].index("Crop Top")
    $ persistent.malcolm_current_outfit["top"] = "Crop Top"
    $ malcolm_current_outfit["chest"] = outfit_piece_display["chest"].index("None")
    $ persistent.malcolm_current_outfit["chest"] = "None"
    $ check_item_display()
    $ renpy.block_rollback()
    show malcolm at left with dissolve
    malcolm "Okay, Leonard, the officer over there is going to take you upstairs and get you checked out."
    leonard "Thank you!!!"
    hide leonard with dissolve

    show ainsley at center with dissolve
    ainsley "Breaking news! Blake Astor Delarue, who is now in NYPD custody in connection with the murder we've been covering today, has been hiding a gruesome secret."
    ainsley "In a hidden room in the basement of his pet shop, authorities recovered a missing person and evidence that Blake Delarue may very well be the infamous Sanctuary Killer, last active in the Boston area and believed to have killed at least 8 men."
    ainsley "More on this story as it develops..."
    hide ainsley with dissolve

    if points_colette >= COLETTE_SUCCESS:
        colette "Let's get this place locked down and then you and I are going out for drinks, my treat."
        malcolm "We are?"
        colette "Look, I'm not going to celebrate a win like this alone in my hotel room."
        malcolm "O-okay."

        scene bg thebar with fade
        show colette neutral at right with dissolve
        show malcolm neutral at left with dissolve
        colette "You still like the fancy stuff?"
        malcolm "I'm not picky."
        colette "Bullshit. C'mon, Harvard."
        malcolm "I'll have whatever you're having."
        colette "Hey, Chandasara, two of your specials on tap."
        show vijay at center with dissolve
        vijay "You really going to chug a lager, baby boy?"
        malcolm "Whiskey, please, neat."
        colette "Yep, you haven't changed a bit. Baby boy?"
        malcolm "Long story, but if we're talking about who has or has not changed, that's some pot calling kettle. You still obviously like to be in charge."
        colette "Because it's my investigation. When it's your investigation, you can be on point. You used to like when I was in charge, anyway."
        malcolm "I think that's an overstatement, and um, we weren't quite so compatible out in the field."
        colette "Heh. What do you say to a game of darts, Bright. Have you still got it?"
        malcolm "Oh, I've still got it."
        vijay "You two are fun. ... but don't lose an eye."
        hide vijay with dissolve

        jump colette_darts
    else:
        colette "You put in a lot of great work today, but I think we've got it from here. Why don't you go with Leonard and make sure he's okay."
        malcolm "Are you sure you don't need me?"
        colette "I might want a second opinion on the evidence, but for now, you're off the clock."
        malcolm "Okay. Thanks, Special Agent Swanson. I admit, it was nice working with you again, today."
        colette "Colette is fine."
        malcolm "Colette."
        colette "I'll see you around, Bright."
        hide malcolm with dissolve
        $ renpy.pause(1)
        show malcolm neutral at left behind colette with dissolve
        colette "Now what?"

        malcolm "Do you mind if I sneak a parakeet out of here before animal control shows up?"
        colette "A parakeet?"
        malcolm "My parakeet could use some companionship, and you know, even if we didn't always see eye-to-eye, today reminded me of how good it was when we were friends."
        colette "We could be friends again."
        malcolm "Really?"
        colette "Go get your bird and go home. I'll give you a call sometime."
        show moonlight at center with dissolve
        malcolm "I'd like that. C'mon, Moonlight. There you go, little guy."

        jump colette_friends_ending

#C47
label colette_darts:
    $ renpy.block_rollback()
    $ renpy.choice_for_skipping()
    $ init_fishing("darts", "colette", "bg thebar")
    jump launch_fishing

#C48
label colette_darts_success:
    $ won_minigame()
    $ renpy.block_rollback()
    malcolm "I win! I'm on fire."
    colette "You've upped your game."
    malcolm "..."
    colette "Yeah, you heard me."
    jump colette_dates

#C49
label colette_darts_failure:
    $ renpy.block_rollback()
    colette "Yeah, I'm gonna stand by my word. I've still got it, and you still like it when I beat your ass."
    malcolm "So maybe it's fun to follow your lead... {i}sometimes{/i}."
    jump colette_dates

#C50
label colette_dates:
    menu:
        malcolm "Colette..."

        "Call it a night?":
            $ renpy.block_rollback()
            malcolm "It was great to catch up. Shall we call it a night?"
            colette "Yeah, but... this was nice."
            malcolm "It was, yeah."
            colette "Sometimes I forget how much shit you've gone through."
            malcolm "Same. Some stuff's happened recently that made me appreciate how hard you've had to work to get where you are."
            colette "We haven't felt like friends in a while, but I'm glad you had my back today."
            malcolm "We're friends, really?"
            colette "You can count darts at the bar as friends."
            malcolm "Cool."
            colette "Don't get sappy on me, Bright. But next time I'm in the city for a case, I'll give you a call."
            malcolm "I'd like that. Goodnight... friend."
            colette "See ya, Bright. We'll do this again sometime."
            jump colette_good_date_ending
        "Come back to my place?":
            $ renpy.block_rollback()
            malcolm "Do I have enough game to get you to come back to my place?"
            colette "What kind of come back? The kind where you kick me out by ten and don't return my jacket or the kind where I make it to breakfast?"
            malcolm "That was one time..."
            colette "..."
            malcolm "The latter."
            colette "There will not be ladders involved."
            malcolm "I have this great one for the bookshelves..."
            colette "Bright!"
            malcolm "I've got the tab, let's go."

            scene bg black with fade
            malcolm "This is better than last time..."
            colette "Less talking, more—"
            malcolm "Yes—"
            colette "Mmm."
            jump colette_sexy_ending

#C51
label colette_blake_battle_game_failure:
    $ renpy.block_rollback()
    malcolm "Oof!"
    colette "Is he?"
    malcolm "Gone."

    colette "I can't believe I trusted you to help me. It's your fault he got away."
    malcolm "I messed up. I'm sorry."
    colette "Tell that to the next person who gets murdered."

    jump colette_bad_ending_trusted

#C52
label colette_blake_alleyway_together:
    scene bg alleyway with fade
    show ainsley at center with dissolve
    ainsley "Police presence is heightened in the area, and we've received reports of activity near the alley where an altercation may have led to the death of Mr. Vic Timms."
    hide ainsley with dissolve
    show blake with dissolve
    show colette neutral at right
    show malcolm pockets neutral at left
    with dissolve
    colette "Federal agent, stay where you are."
    malcolm "We just want to—"
    show bg alleyway with vpunch

    jump colette_avoid_takedown_together

#C53
label colette_avoid_takedown_together:
    $ renpy.block_rollback()
    $ renpy.choice_for_skipping()
    $ global current_qte_game
    $ current_qte_game = "colette_avoid_together"
    jump qte

#C53
label colette_avoid_takedown_alone:
    $ renpy.block_rollback()
    $ renpy.choice_for_skipping()
    $ global current_qte_game
    $ current_qte_game = "colette_avoid_alone"
    jump qte

#C54
label colette_avoid_takedown_alone_success:
    $ won_minigame()
    $ renpy.block_rollback()
    show malcolm raised neutral at left
    show blake at right
    malcolm "Nice try, but— Hey!"
    queue sound "audio/crash.mp3"
    "(crash)"
    hide blake with moveoutright
    show bg alleyway with vpunch
    show malcolm with moveoutright:
        xalign .25
    show colette at left behind malcolm with dissolve:
        xzoom -1
    colette "You lost him?"
    malcolm "Not yet!"
    hide malcolm with moveoutright
    hide colette with moveoutright

    jump colette_puzzle_which_way

#C55
label colette_avoid_takedown_alone_failure:
    $ renpy.block_rollback()
    jump colette_blake_bad_ending

#C56
label colette_avoid_takedown_together_success:
    $ won_minigame()
    $ renpy.block_rollback()
    show blake at center with dissolve
    show malcolm raised neutral at left with dissolve
    malcolm "Nice try, but— Hey!"
    show colette neutral at right with dissolve
    colette "Stop or I'll shoot!"
    queue sound "audio/crash.mp3"
    "(crash)"
    hide blake with moveoutright
    hide malcolm
    hide colette
    with moveoutright
    show bg alleyway with vpunch

    colette "Did we lose him?"
    malcolm "Not yet!"
    jump colette_puzzle_which_way

#C57
label colette_avoid_takedown_together_failure:
    $ renpy.block_rollback()
    jump colette_blake_bad_ending

#C58
label colette_puzzle_which_way:
    window hide
    $ renpy.block_rollback()
    $ init_jigsaw("bg alleyway", "colette", (195, 384))
    jump launch_jigsaw

#C59
label colette_puzzle_which_way_success:
    $ won_minigame()
    $ renpy.block_rollback()
    malcolm "I think he went into the access tunnel."
    colette "Let's go."

    scene bg subway platform with fade
    queue sound "audio/subway_stop.mp3"
    "(train stopping)"

    show malcolm neutral at left with dissolve
    show colette neutral at right with dissolve
    colette "We couldn't have been that far behind him."
    malcolm "He must have doubled back at that juncture point."
    colette "Shit. We're going to lose him!"
    jump colette_blake_alleyway_cornered

#C60
label colette_puzzle_which_way_failure:
    $ renpy.block_rollback()
    malcolm "I think he went back inside."
    colette "Let's go."

    scene bg pet shop back with fade

    colette "Federal agent! Show yourself!"
    malcolm "Where did he—"
    show bg pet shop back with vpunch
    $ renpy.pause(.5)
    scene bg black with fade
    jump colette_blake_bad_ending

#C61
label colette_do_not_pass_go_ending:
    queue sound "audio/sad_trombone.mp3"
    "(sad trombone)"
    $ renpy.block_rollback()
    "If at first you don't succeed..."

    scene bg black with fade
    $ renpy.choice_for_skipping()
    endings colette_bailed
    $ persistent.malcolm_ending_outfit["colette-bailed"] = copy.deepcopy(persistent.malcolm_current_outfit)
    scene bg precinct conference room fbi with fade
    call colette_bailed_load_in from _call_colette_bailed_load_in
    $ renpy.pause(.5)
    achieve Threw Away Your Shot
    $ renpy.pause()
    scene bg black with fade
    queue sound "audio/camera_shutter.mp3"
    show colette_bailed with fade
    $ renpy.pause()
    if previous_per_outfit != {}:
        $ outfit_piece_display = copy.deepcopy(previous_display)
        $ persistent.malcolm_current_outfit = copy.deepcopy(previous_per_outfit)
        $ malcolm_current_outfit = {"top": copy.deepcopy(outfit_piece_display["top"].index(persistent.malcolm_current_outfit["top"])), "bottom": copy.deepcopy(outfit_piece_display["bottom"].index(persistent.malcolm_current_outfit["bottom"])), "shirt_red": copy.deepcopy(persistent.malcolm_current_outfit["shirt_red"]), "shirt_green": copy.deepcopy(persistent.malcolm_current_outfit["shirt_green"]), "shirt_blue": copy.deepcopy(persistent.malcolm_current_outfit["shirt_blue"]), "tie_red": copy.deepcopy(persistent.malcolm_current_outfit["tie_red"]), "tie_green": copy.deepcopy(persistent.malcolm_current_outfit["tie_green"]), "tie_blue": copy.deepcopy(persistent.malcolm_current_outfit["tie_blue"]), "waistcoat_red": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_red"]), "waistcoat_green": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_green"]), "waistcoat_blue": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_blue"]), "bottom_red": copy.deepcopy(persistent.malcolm_current_outfit["bottom_red"]), "bottom_green": copy.deepcopy(persistent.malcolm_current_outfit["bottom_green"]), "bottom_blue": copy.deepcopy(persistent.malcolm_current_outfit["bottom_blue"]), "wrist": copy.deepcopy(outfit_piece_display["wrist"].index(persistent.malcolm_current_outfit["wrist"])), "neck": copy.deepcopy(outfit_piece_display["neck"].index(persistent.malcolm_current_outfit["neck"])), "hat": copy.deepcopy(outfit_piece_display["hat"].index(persistent.malcolm_current_outfit["hat"])), "glasses": copy.deepcopy(outfit_piece_display["glasses"].index(persistent.malcolm_current_outfit["glasses"])), "facial-hair": copy.deepcopy(outfit_piece_display["facial-hair"].index(persistent.malcolm_current_outfit["facial-hair"])), "tail": copy.deepcopy(outfit_piece_display["tail"].index(persistent.malcolm_current_outfit["tail"])), "tattoo-top": copy.deepcopy(outfit_piece_display["tattoo-top"].index(persistent.malcolm_current_outfit["tattoo-top"])), "tattoo-left": copy.deepcopy(outfit_piece_display["tattoo-left"].index(persistent.malcolm_current_outfit["tattoo-left"])), "tattoo-right": copy.deepcopy(outfit_piece_display["tattoo-right"].index(persistent.malcolm_current_outfit["tattoo-right"])), "chest": copy.deepcopy(outfit_piece_display["chest"].index(persistent.malcolm_current_outfit["chest"])), "shirt-pattern": copy.deepcopy(outfit_piece_display["shirt-pattern"].index(persistent.malcolm_current_outfit["shirt-pattern"])), "tie-pattern": copy.deepcopy(outfit_piece_display["tie-pattern"].index(persistent.malcolm_current_outfit["tie-pattern"])), "tie-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["tie-autocolor"]), "shirt-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["shirt-autocolor"])}
        $ outfit_change_available = True
        $ persistent.outfit_available = True
        $ renpy.block_rollback()
    jump endings_all

#C62
label colette_bad_ending_business:
    $ renpy.block_rollback()

    scene bg black with fade
    $ renpy.choice_for_skipping()
    endings colette_bad
    $ persistent.malcolm_ending_outfit["colette-bad"] = copy.deepcopy(persistent.malcolm_current_outfit)
    scene bg alleyway with fade
    call colette_bad_load_in from _call_colette_bad_load_in
    $ renpy.pause(.5)
    achieve This Business
    $ renpy.pause()
    scene bg black with fade
    queue sound "audio/camera_shutter.mp3"
    show colette_bad with fade
    $ renpy.pause()
    if previous_per_outfit != {}:
        $ outfit_piece_display = copy.deepcopy(previous_display)
        $ persistent.malcolm_current_outfit = copy.deepcopy(previous_per_outfit)
        $ malcolm_current_outfit = {"top": copy.deepcopy(outfit_piece_display["top"].index(persistent.malcolm_current_outfit["top"])), "bottom": copy.deepcopy(outfit_piece_display["bottom"].index(persistent.malcolm_current_outfit["bottom"])), "shirt_red": copy.deepcopy(persistent.malcolm_current_outfit["shirt_red"]), "shirt_green": copy.deepcopy(persistent.malcolm_current_outfit["shirt_green"]), "shirt_blue": copy.deepcopy(persistent.malcolm_current_outfit["shirt_blue"]), "tie_red": copy.deepcopy(persistent.malcolm_current_outfit["tie_red"]), "tie_green": copy.deepcopy(persistent.malcolm_current_outfit["tie_green"]), "tie_blue": copy.deepcopy(persistent.malcolm_current_outfit["tie_blue"]), "waistcoat_red": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_red"]), "waistcoat_green": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_green"]), "waistcoat_blue": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_blue"]), "bottom_red": copy.deepcopy(persistent.malcolm_current_outfit["bottom_red"]), "bottom_green": copy.deepcopy(persistent.malcolm_current_outfit["bottom_green"]), "bottom_blue": copy.deepcopy(persistent.malcolm_current_outfit["bottom_blue"]), "wrist": copy.deepcopy(outfit_piece_display["wrist"].index(persistent.malcolm_current_outfit["wrist"])), "neck": copy.deepcopy(outfit_piece_display["neck"].index(persistent.malcolm_current_outfit["neck"])), "hat": copy.deepcopy(outfit_piece_display["hat"].index(persistent.malcolm_current_outfit["hat"])), "glasses": copy.deepcopy(outfit_piece_display["glasses"].index(persistent.malcolm_current_outfit["glasses"])), "facial-hair": copy.deepcopy(outfit_piece_display["facial-hair"].index(persistent.malcolm_current_outfit["facial-hair"])), "tail": copy.deepcopy(outfit_piece_display["tail"].index(persistent.malcolm_current_outfit["tail"])), "tattoo-top": copy.deepcopy(outfit_piece_display["tattoo-top"].index(persistent.malcolm_current_outfit["tattoo-top"])), "tattoo-left": copy.deepcopy(outfit_piece_display["tattoo-left"].index(persistent.malcolm_current_outfit["tattoo-left"])), "tattoo-right": copy.deepcopy(outfit_piece_display["tattoo-right"].index(persistent.malcolm_current_outfit["tattoo-right"])), "chest": copy.deepcopy(outfit_piece_display["chest"].index(persistent.malcolm_current_outfit["chest"])), "shirt-pattern": copy.deepcopy(outfit_piece_display["shirt-pattern"].index(persistent.malcolm_current_outfit["shirt-pattern"])), "tie-pattern": copy.deepcopy(outfit_piece_display["tie-pattern"].index(persistent.malcolm_current_outfit["tie-pattern"])), "tie-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["tie-autocolor"]), "shirt-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["shirt-autocolor"])}
        $ outfit_change_available = True
        $ persistent.outfit_available = True
        $ renpy.block_rollback()
    jump endings_all

#C63
label colette_bad_ending_trusted:
    "A Manhattan business owner is wanted in connection for kidnapping and multiple counts of murder."
    "During the investigation into the death of Mr. Vic Timms, authorities discovered Blake Astor Delarue was hiding a gruesome secret."
    "In a hidden room in the basement of his pet shop, authorities recovered a missing person and evidence that Blake Delarue is the infamous Sanctuary Killer, last active in the Boston area and believed to have killed at least 8 men."
    $ renpy.block_rollback()

    scene bg black with fade
    $ renpy.choice_for_skipping()
    endings colette_neg
    $ persistent.malcolm_ending_outfit["colette-neg"] = copy.deepcopy(persistent.malcolm_current_outfit)
    scene bg pet shop back with fade
    call colette_neg_load_in from _call_colette_neg_load_in
    $ renpy.pause(.5)
    achieve She Hates Me
    $ renpy.pause()
    scene bg black with fade
    queue sound "audio/camera_shutter.mp3"
    show colette_neg with fade
    $ renpy.pause()
    if previous_per_outfit != {}:
        $ outfit_piece_display = copy.deepcopy(previous_display)
        $ persistent.malcolm_current_outfit = copy.deepcopy(previous_per_outfit)
        $ malcolm_current_outfit = {"top": copy.deepcopy(outfit_piece_display["top"].index(persistent.malcolm_current_outfit["top"])), "bottom": copy.deepcopy(outfit_piece_display["bottom"].index(persistent.malcolm_current_outfit["bottom"])), "shirt_red": copy.deepcopy(persistent.malcolm_current_outfit["shirt_red"]), "shirt_green": copy.deepcopy(persistent.malcolm_current_outfit["shirt_green"]), "shirt_blue": copy.deepcopy(persistent.malcolm_current_outfit["shirt_blue"]), "tie_red": copy.deepcopy(persistent.malcolm_current_outfit["tie_red"]), "tie_green": copy.deepcopy(persistent.malcolm_current_outfit["tie_green"]), "tie_blue": copy.deepcopy(persistent.malcolm_current_outfit["tie_blue"]), "waistcoat_red": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_red"]), "waistcoat_green": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_green"]), "waistcoat_blue": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_blue"]), "bottom_red": copy.deepcopy(persistent.malcolm_current_outfit["bottom_red"]), "bottom_green": copy.deepcopy(persistent.malcolm_current_outfit["bottom_green"]), "bottom_blue": copy.deepcopy(persistent.malcolm_current_outfit["bottom_blue"]), "wrist": copy.deepcopy(outfit_piece_display["wrist"].index(persistent.malcolm_current_outfit["wrist"])), "neck": copy.deepcopy(outfit_piece_display["neck"].index(persistent.malcolm_current_outfit["neck"])), "hat": copy.deepcopy(outfit_piece_display["hat"].index(persistent.malcolm_current_outfit["hat"])), "glasses": copy.deepcopy(outfit_piece_display["glasses"].index(persistent.malcolm_current_outfit["glasses"])), "facial-hair": copy.deepcopy(outfit_piece_display["facial-hair"].index(persistent.malcolm_current_outfit["facial-hair"])), "tail": copy.deepcopy(outfit_piece_display["tail"].index(persistent.malcolm_current_outfit["tail"])), "tattoo-top": copy.deepcopy(outfit_piece_display["tattoo-top"].index(persistent.malcolm_current_outfit["tattoo-top"])), "tattoo-left": copy.deepcopy(outfit_piece_display["tattoo-left"].index(persistent.malcolm_current_outfit["tattoo-left"])), "tattoo-right": copy.deepcopy(outfit_piece_display["tattoo-right"].index(persistent.malcolm_current_outfit["tattoo-right"])), "chest": copy.deepcopy(outfit_piece_display["chest"].index(persistent.malcolm_current_outfit["chest"])), "shirt-pattern": copy.deepcopy(outfit_piece_display["shirt-pattern"].index(persistent.malcolm_current_outfit["shirt-pattern"])), "tie-pattern": copy.deepcopy(outfit_piece_display["tie-pattern"].index(persistent.malcolm_current_outfit["tie-pattern"])), "tie-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["tie-autocolor"]), "shirt-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["shirt-autocolor"])}
        $ outfit_change_available = True
        $ persistent.outfit_available = True
        $ renpy.block_rollback()
    jump endings_all

#C64
label colette_friends_ending:
    scene bg loft kitchen with fade
    ainsley "With the Sanctuary Killer in custody, Malcolm gets to go home for an evening with his birds. Also on the scene is his brilliant, talented, sister..."

    show malcolm pockets neutral at left with dissolve
    show ainsley neutral at right with dissolve
    malcolm "Ains, I think you can stop the reporter bit."
    ainsley "C'mon, it was a big day!"
    malcolm "I'm glad to be home with my new friends."
    ainsley "It was fun to spend the day with you."
    malcolm "We're gonna need to talk about boundaries. You can't be behind the tape all the time and—"
    ainsley "Another time."
    $ renpy.block_rollback()

    scene bg black with fade
    $ renpy.choice_for_skipping()
    endings colette_friends
    $ persistent.malcolm_ending_outfit["colette-friends"] = copy.deepcopy(persistent.malcolm_current_outfit)
    scene bg subway platform with fade
    call colette_friends_load_in from _call_colette_friends_load_in
    $ renpy.pause(.5)
    achieve Begrudging Respect
    $ renpy.pause()
    scene bg black with fade
    queue sound "audio/camera_shutter.mp3"
    show colette_friends with fade
    $ renpy.pause()
    if previous_per_outfit != {}:
        $ outfit_piece_display = copy.deepcopy(previous_display)
        $ persistent.malcolm_current_outfit = copy.deepcopy(previous_per_outfit)
        $ malcolm_current_outfit = {"top": copy.deepcopy(outfit_piece_display["top"].index(persistent.malcolm_current_outfit["top"])), "bottom": copy.deepcopy(outfit_piece_display["bottom"].index(persistent.malcolm_current_outfit["bottom"])), "shirt_red": copy.deepcopy(persistent.malcolm_current_outfit["shirt_red"]), "shirt_green": copy.deepcopy(persistent.malcolm_current_outfit["shirt_green"]), "shirt_blue": copy.deepcopy(persistent.malcolm_current_outfit["shirt_blue"]), "tie_red": copy.deepcopy(persistent.malcolm_current_outfit["tie_red"]), "tie_green": copy.deepcopy(persistent.malcolm_current_outfit["tie_green"]), "tie_blue": copy.deepcopy(persistent.malcolm_current_outfit["tie_blue"]), "waistcoat_red": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_red"]), "waistcoat_green": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_green"]), "waistcoat_blue": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_blue"]), "bottom_red": copy.deepcopy(persistent.malcolm_current_outfit["bottom_red"]), "bottom_green": copy.deepcopy(persistent.malcolm_current_outfit["bottom_green"]), "bottom_blue": copy.deepcopy(persistent.malcolm_current_outfit["bottom_blue"]), "wrist": copy.deepcopy(outfit_piece_display["wrist"].index(persistent.malcolm_current_outfit["wrist"])), "neck": copy.deepcopy(outfit_piece_display["neck"].index(persistent.malcolm_current_outfit["neck"])), "hat": copy.deepcopy(outfit_piece_display["hat"].index(persistent.malcolm_current_outfit["hat"])), "glasses": copy.deepcopy(outfit_piece_display["glasses"].index(persistent.malcolm_current_outfit["glasses"])), "facial-hair": copy.deepcopy(outfit_piece_display["facial-hair"].index(persistent.malcolm_current_outfit["facial-hair"])), "tail": copy.deepcopy(outfit_piece_display["tail"].index(persistent.malcolm_current_outfit["tail"])), "tattoo-top": copy.deepcopy(outfit_piece_display["tattoo-top"].index(persistent.malcolm_current_outfit["tattoo-top"])), "tattoo-left": copy.deepcopy(outfit_piece_display["tattoo-left"].index(persistent.malcolm_current_outfit["tattoo-left"])), "tattoo-right": copy.deepcopy(outfit_piece_display["tattoo-right"].index(persistent.malcolm_current_outfit["tattoo-right"])), "chest": copy.deepcopy(outfit_piece_display["chest"].index(persistent.malcolm_current_outfit["chest"])), "shirt-pattern": copy.deepcopy(outfit_piece_display["shirt-pattern"].index(persistent.malcolm_current_outfit["shirt-pattern"])), "tie-pattern": copy.deepcopy(outfit_piece_display["tie-pattern"].index(persistent.malcolm_current_outfit["tie-pattern"])), "tie-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["tie-autocolor"]), "shirt-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["shirt-autocolor"])}
        $ outfit_change_available = True
        $ persistent.outfit_available = True
        $ renpy.block_rollback()
    jump endings_all

#C65
label colette_good_date_ending:
    $ renpy.block_rollback()

    scene bg black with fade
    $ renpy.choice_for_skipping()
    endings colette_pos
    $ persistent.malcolm_ending_outfit["colette-pos"] = copy.deepcopy(persistent.malcolm_current_outfit)
    scene bg sex dungeon negative with fade
    call colette_pos_load_in from _call_colette_pos_load_in
    $ renpy.pause(.5)
    achieve Again Sometime
    $ renpy.pause()
    scene bg black with fade
    queue sound "audio/camera_shutter.mp3"
    show colette_pos with fade
    $ renpy.pause()
    if previous_per_outfit != {}:
        $ outfit_piece_display = copy.deepcopy(previous_display)
        $ persistent.malcolm_current_outfit = copy.deepcopy(previous_per_outfit)
        $ malcolm_current_outfit = {"top": copy.deepcopy(outfit_piece_display["top"].index(persistent.malcolm_current_outfit["top"])), "bottom": copy.deepcopy(outfit_piece_display["bottom"].index(persistent.malcolm_current_outfit["bottom"])), "shirt_red": copy.deepcopy(persistent.malcolm_current_outfit["shirt_red"]), "shirt_green": copy.deepcopy(persistent.malcolm_current_outfit["shirt_green"]), "shirt_blue": copy.deepcopy(persistent.malcolm_current_outfit["shirt_blue"]), "tie_red": copy.deepcopy(persistent.malcolm_current_outfit["tie_red"]), "tie_green": copy.deepcopy(persistent.malcolm_current_outfit["tie_green"]), "tie_blue": copy.deepcopy(persistent.malcolm_current_outfit["tie_blue"]), "waistcoat_red": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_red"]), "waistcoat_green": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_green"]), "waistcoat_blue": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_blue"]), "bottom_red": copy.deepcopy(persistent.malcolm_current_outfit["bottom_red"]), "bottom_green": copy.deepcopy(persistent.malcolm_current_outfit["bottom_green"]), "bottom_blue": copy.deepcopy(persistent.malcolm_current_outfit["bottom_blue"]), "wrist": copy.deepcopy(outfit_piece_display["wrist"].index(persistent.malcolm_current_outfit["wrist"])), "neck": copy.deepcopy(outfit_piece_display["neck"].index(persistent.malcolm_current_outfit["neck"])), "hat": copy.deepcopy(outfit_piece_display["hat"].index(persistent.malcolm_current_outfit["hat"])), "glasses": copy.deepcopy(outfit_piece_display["glasses"].index(persistent.malcolm_current_outfit["glasses"])), "facial-hair": copy.deepcopy(outfit_piece_display["facial-hair"].index(persistent.malcolm_current_outfit["facial-hair"])), "tail": copy.deepcopy(outfit_piece_display["tail"].index(persistent.malcolm_current_outfit["tail"])), "tattoo-top": copy.deepcopy(outfit_piece_display["tattoo-top"].index(persistent.malcolm_current_outfit["tattoo-top"])), "tattoo-left": copy.deepcopy(outfit_piece_display["tattoo-left"].index(persistent.malcolm_current_outfit["tattoo-left"])), "tattoo-right": copy.deepcopy(outfit_piece_display["tattoo-right"].index(persistent.malcolm_current_outfit["tattoo-right"])), "chest": copy.deepcopy(outfit_piece_display["chest"].index(persistent.malcolm_current_outfit["chest"])), "shirt-pattern": copy.deepcopy(outfit_piece_display["shirt-pattern"].index(persistent.malcolm_current_outfit["shirt-pattern"])), "tie-pattern": copy.deepcopy(outfit_piece_display["tie-pattern"].index(persistent.malcolm_current_outfit["tie-pattern"])), "tie-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["tie-autocolor"]), "shirt-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["shirt-autocolor"])}
        $ outfit_change_available = True
        $ persistent.outfit_available = True
        $ renpy.block_rollback()
    jump endings_all

#C66
label colette_sexy_ending:
    $ renpy.block_rollback()

    $ renpy.choice_for_skipping()
    endings colette_sexy
    scene bg colette sexy
    with fade
    achieve Friends w Benefits
    $ renpy.pause()
    if previous_per_outfit != {}:
        $ outfit_piece_display = copy.deepcopy(previous_display)
        $ persistent.malcolm_current_outfit = copy.deepcopy(previous_per_outfit)
        $ malcolm_current_outfit = {"top": copy.deepcopy(outfit_piece_display["top"].index(persistent.malcolm_current_outfit["top"])), "bottom": copy.deepcopy(outfit_piece_display["bottom"].index(persistent.malcolm_current_outfit["bottom"])), "shirt_red": copy.deepcopy(persistent.malcolm_current_outfit["shirt_red"]), "shirt_green": copy.deepcopy(persistent.malcolm_current_outfit["shirt_green"]), "shirt_blue": copy.deepcopy(persistent.malcolm_current_outfit["shirt_blue"]), "tie_red": copy.deepcopy(persistent.malcolm_current_outfit["tie_red"]), "tie_green": copy.deepcopy(persistent.malcolm_current_outfit["tie_green"]), "tie_blue": copy.deepcopy(persistent.malcolm_current_outfit["tie_blue"]), "waistcoat_red": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_red"]), "waistcoat_green": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_green"]), "waistcoat_blue": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_blue"]), "bottom_red": copy.deepcopy(persistent.malcolm_current_outfit["bottom_red"]), "bottom_green": copy.deepcopy(persistent.malcolm_current_outfit["bottom_green"]), "bottom_blue": copy.deepcopy(persistent.malcolm_current_outfit["bottom_blue"]), "wrist": copy.deepcopy(outfit_piece_display["wrist"].index(persistent.malcolm_current_outfit["wrist"])), "neck": copy.deepcopy(outfit_piece_display["neck"].index(persistent.malcolm_current_outfit["neck"])), "hat": copy.deepcopy(outfit_piece_display["hat"].index(persistent.malcolm_current_outfit["hat"])), "glasses": copy.deepcopy(outfit_piece_display["glasses"].index(persistent.malcolm_current_outfit["glasses"])), "facial-hair": copy.deepcopy(outfit_piece_display["facial-hair"].index(persistent.malcolm_current_outfit["facial-hair"])), "tail": copy.deepcopy(outfit_piece_display["tail"].index(persistent.malcolm_current_outfit["tail"])), "tattoo-top": copy.deepcopy(outfit_piece_display["tattoo-top"].index(persistent.malcolm_current_outfit["tattoo-top"])), "tattoo-left": copy.deepcopy(outfit_piece_display["tattoo-left"].index(persistent.malcolm_current_outfit["tattoo-left"])), "tattoo-right": copy.deepcopy(outfit_piece_display["tattoo-right"].index(persistent.malcolm_current_outfit["tattoo-right"])), "chest": copy.deepcopy(outfit_piece_display["chest"].index(persistent.malcolm_current_outfit["chest"])), "shirt-pattern": copy.deepcopy(outfit_piece_display["shirt-pattern"].index(persistent.malcolm_current_outfit["shirt-pattern"])), "tie-pattern": copy.deepcopy(outfit_piece_display["tie-pattern"].index(persistent.malcolm_current_outfit["tie-pattern"])), "tie-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["tie-autocolor"]), "shirt-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["shirt-autocolor"])}
        $ outfit_change_available = True
        $ persistent.outfit_available = True
        $ renpy.block_rollback()
    jump endings_all

#C67
label colette_blake_bad_ending:
    show ainsley at center with dissolve
    ainsley "It's been three days since Agent Colette Swanson and her partner my brother, NYPD consultant, Malcolm Bright, went missing while attempting to execute a warrant to search a local pet shop."
    ainsley "The owner, Blake Astor Delarue, allegedly the infamous Sanctuary Killer, is also missing."
    hide ainsley with dissolve

    scene bg sex dungeon negative with fade
    show malcolm confused at left with dissolve
    malcolm @ worried "Huh. Wha?"
    show leonard with dissolve
    leonard "Ssh. He's going to hear you."
    show blake at right with dissolve
    blake "Sleeping beauty finally awakens."
    leonard "Please don't hurt me."
    blake "Lucky for you I have a new toy. Get back in your cage, boy."
    hide leonard with dissolve

    show blake smarmy
    blake "You, Malcolm Bright... you really should've stayed out of my business."
    malcolm @ angry "So you {i}are{/i} a serial killer."
    blake "Just like your daddy."
    malcolm "Tell me something: The man in the subway, why him?"
    blake "He recognized me. Spotted me once back up in my old haunt before I had to leave town."
    malcolm @ raised worried "Colette?"
    blake "I made it quick. Can't say I'll do you the same courtesy."
    $ renpy.block_rollback()

    $ renpy.choice_for_skipping()
    endings blake_bad
    scene bg blake bad
    with fade
    achieve You Dun Fucked Up Son
    $ renpy.pause()
    if previous_per_outfit != {}:
        $ outfit_piece_display = copy.deepcopy(previous_display)
        $ persistent.malcolm_current_outfit = copy.deepcopy(previous_per_outfit)
        $ malcolm_current_outfit = {"top": copy.deepcopy(outfit_piece_display["top"].index(persistent.malcolm_current_outfit["top"])), "bottom": copy.deepcopy(outfit_piece_display["bottom"].index(persistent.malcolm_current_outfit["bottom"])), "shirt_red": copy.deepcopy(persistent.malcolm_current_outfit["shirt_red"]), "shirt_green": copy.deepcopy(persistent.malcolm_current_outfit["shirt_green"]), "shirt_blue": copy.deepcopy(persistent.malcolm_current_outfit["shirt_blue"]), "tie_red": copy.deepcopy(persistent.malcolm_current_outfit["tie_red"]), "tie_green": copy.deepcopy(persistent.malcolm_current_outfit["tie_green"]), "tie_blue": copy.deepcopy(persistent.malcolm_current_outfit["tie_blue"]), "waistcoat_red": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_red"]), "waistcoat_green": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_green"]), "waistcoat_blue": copy.deepcopy(persistent.malcolm_current_outfit["waistcoat_blue"]), "bottom_red": copy.deepcopy(persistent.malcolm_current_outfit["bottom_red"]), "bottom_green": copy.deepcopy(persistent.malcolm_current_outfit["bottom_green"]), "bottom_blue": copy.deepcopy(persistent.malcolm_current_outfit["bottom_blue"]), "wrist": copy.deepcopy(outfit_piece_display["wrist"].index(persistent.malcolm_current_outfit["wrist"])), "neck": copy.deepcopy(outfit_piece_display["neck"].index(persistent.malcolm_current_outfit["neck"])), "hat": copy.deepcopy(outfit_piece_display["hat"].index(persistent.malcolm_current_outfit["hat"])), "glasses": copy.deepcopy(outfit_piece_display["glasses"].index(persistent.malcolm_current_outfit["glasses"])), "facial-hair": copy.deepcopy(outfit_piece_display["facial-hair"].index(persistent.malcolm_current_outfit["facial-hair"])), "tail": copy.deepcopy(outfit_piece_display["tail"].index(persistent.malcolm_current_outfit["tail"])), "tattoo-top": copy.deepcopy(outfit_piece_display["tattoo-top"].index(persistent.malcolm_current_outfit["tattoo-top"])), "tattoo-left": copy.deepcopy(outfit_piece_display["tattoo-left"].index(persistent.malcolm_current_outfit["tattoo-left"])), "tattoo-right": copy.deepcopy(outfit_piece_display["tattoo-right"].index(persistent.malcolm_current_outfit["tattoo-right"])), "chest": copy.deepcopy(outfit_piece_display["chest"].index(persistent.malcolm_current_outfit["chest"])), "shirt-pattern": copy.deepcopy(outfit_piece_display["shirt-pattern"].index(persistent.malcolm_current_outfit["shirt-pattern"])), "tie-pattern": copy.deepcopy(outfit_piece_display["tie-pattern"].index(persistent.malcolm_current_outfit["tie-pattern"])), "tie-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["tie-autocolor"]), "shirt-autocolor": copy.deepcopy(persistent.malcolm_current_outfit["shirt-autocolor"])}
        $ outfit_change_available = True
        $ persistent.outfit_available = True
        $ renpy.block_rollback()
    jump endings_all